<?php

namespace App\Exports;

use App\Models\Customer;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use Maatwebsite\Excel\Concerns\WithMapping;
class CustomerExport implements FromQuery,WithHeadings,WithMapping
{
    /**
    * @return \Illuminate\Support\Collection
    */  
    // use Exportable;

    public function __construct($criteria)
    {
        $this->criteria = $criteria;
    }


    public function headings(): array
    {
        return [
            'Customer', 
            'Email',
            'Phone Number',
            'Location',  
            'Last Login',
            // 'Customer Status',
            'Sales',
            'Revenue', 
            // 'Verification Status',
            // 'Security Status'
        ];
    }
    public function query()
    {
        ini_set('max_execution_time', 0);
        ini_set('memory_limit', '-1');
        
        $sort = ['orders', 'desc'];
        $keyword = $this->criteria->keyword;
        
          if ($this->criteria->type != NULL ) {
                    $sort = explode('-', $this->criteria->type);
          }
                

//        $sorts=$this->criteria->sorts;
  $detail = Customer::join('order_customers as oc', 'customers.id', 'oc.customer_id')
            ->join('orders as o', 'oc.order_id', 'o.id')
            ->leftJoin('users', 'customers.user_id', 'users.id')
            ->where('o.order_from', 1)
            ->select('user_id','first_name', 'last_name','customers.email','customers.phone', 'o.billing_city', 'o.billing_postcode', 'customers.id','dob','gender','last_login_at', DB::raw('count(o.id) as orders'), DB::raw('sum(o.paid_amount) as order_price'));
            
        $detail->where('o.payment_status',  0);

            if ($keyword != NULL && $keyword != '') {
                $names = strtolower($keyword);
                $detail->whereRaw("concat(customers.first_name, ' ', customers.last_name) like '%{$names}%' ");
                $detail->orWhere('customers.email', 'like', "%{$names}%");
                $detail->orWhere('customers.phone', 'like', "%{$names}%");
                $detail->orWhere('customers.id', $names);
            }

        
        
            $detail->groupBy('customers.id')
            ->orderBy($sort[0], $sort[1]);
            
        return $detail;

        /*you can use condition in query to get required result
         return Bulk::query()->whereRaw('id > 5');*/
    }
    public function map($bulk): array
    {
        $address=$bulk->billing_city . ', ' . strtoupper(str_replace(' ', '', $bulk->billing_postcode));
        return [
           
            $bulk->first_name.' '.$bulk->last_name,
            $bulk->email,
            $bulk->phone,
            $address,
           Carbon::parse($bulk->last_login_at)->format('d/m/Y h:i a'),
              $bulk->orders,
             round($bulk->order_price, 2)
            // $bulk->verification_status,
            // $bulk->security_status

        ];
    }
}
