<?php

namespace App\Exports;

use App\Models\Product;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\WithHeadings;
use DB;

class ProductsExportAll implements FromQuery, WithHeadings
{
    use Exportable;

    public function __construct($criteria)
    {
        $this->criteria = $criteria;
    }
    
      public function headings(): array
    {
         return ["ID","Title", "Slug","Stock Quantity"];
    }
    
    public function query()
    {
        $keyword = $this->criteria->keyword;
        $id = $this->criteria->id;
 
        $filter = $this->criteria->type;
        $show_otc = isset($this->criteria->show_otc) ? $this->criteria->show_otc: false;
         $show_in_stock = isset($this->criteria->show_in_stock) ? $this->criteria->show_in_stock: false;
          $show_out_stock = isset($this->criteria->show_out_stock) ? $this->criteria->show_out_stock: false;
          

        $detail = Product::query()->select('products.id', 'products.title', 'products.slug','stock_quantity');
        
        if ($keyword != NULL && $keyword != '') {
            $names = strtolower($keyword);
            $detail->where('products.title', 'like', "%{$names}%");
        }   
     
        if($show_otc)
        {
            $detail->where("is_otc",1);
        }
       
        if($show_in_stock)
        {
            $detail->where("stock_quantity",">",0);
        }
            
        if($show_out_stock)
        {
            $detail->where("stock_quantity","<",1);
               
        }
            
        $detail->groupBy('products.id')->orderBy('stock_quantity','asc');
        
        return $detail;
    }
}