<?php

namespace App\Exports;

use App\Models\Product;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\Exportable;
use DB;

class StocksExport implements FromQuery
{
    use Exportable;

    public function __construct($criteria)
    {
        $this->criteria = $criteria;
    }
    public function query()
    {
        $keyword = $this->criteria->keyword;
        $sorts=$this->criteria->sorts;
        
        $detail = Product::query()->select('products.title', 'stock_quantity');

        if ($keyword != NULL && $keyword != '') {
            $names = strtolower($keyword);
            $detail->where('products.title', 'like', "%{$names}%");
        }   
        
        $detail->groupBy('products.id');
        if(!empty($sorts)){
            $detail->orderBy($sorts[0], $sorts[1]);

        }

        return $detail;
    }
}