<?php

namespace App\Helpers;

use App\Models\Day;
use App\Models\DeliveryDay;
use App\Models\DeliveryTime;
use App\Models\OrderDeliveryDay;
use App\Models\ShippingMethodPostcode;
use Carbon\Carbon;

class DeliveryHelper
{

    public static function is_saturday_delivery()
    {
        $dt = Carbon::now();
        $start_time =  Carbon::parse("12:00 AM");
        $end_time =  Carbon::parse("03:15 PM");

        if($dt->isWeekday()){
            $day=$dt->isoFormat('ddd');
            $is_active_time =Carbon::now()->between( $start_time, $end_time);
            if($day=="Fri" && !$is_active_time){
                return false;
            } else {
                return true;
            }
        } else {
            return false;
        }
    }

    public static function get_old_delivery_day($date = NULL)
    {
        if($date == NULL){
            $dt = Carbon::now();
        } else {
            $dt = Carbon::parse($date);
        }
        $startDate = Carbon::createFromFormat('Y-m-d H:i','2020-04-08 15:30');
        $endDate = Carbon::createFromFormat('Y-m-d  H:i','2020-04-11 12:40');
        $easter_week = $dt->between($startDate,$endDate);

        $startDate2 = Carbon::createFromFormat('Y-m-d H:i','2020-04-11 12:40');
        $endDate2 = Carbon::createFromFormat('Y-m-d  H:i','2020-04-13 15:30');
        $easter_week2 = $dt->between($startDate2,$endDate2);

        $vstartDate = Carbon::createFromFormat('Y-m-d H:i','2020-05-07 08:30');
        $vendDate = Carbon::createFromFormat('Y-m-d  H:i','2020-05-07 15:30');
        $v_day = $dt->between($vstartDate,$vendDate);

        $sbstartDate = Carbon::createFromFormat('Y-m-d H:i','2020-05-23 07:45');
        $sbendDate = Carbon::createFromFormat('Y-m-d  H:i','2020-05-23 16:30');
        $sb_day = $dt->between($sbstartDate,$sbendDate);

        $bhstartDate = Carbon::createFromFormat('Y-m-d H:i','2020-08-28 07:00');
        $bhendDate = Carbon::createFromFormat('Y-m-d  H:i','2020-08-29 11:00');
        $bh_day = $dt->between($bhstartDate,$bhendDate);

        $bhstartDate2 = Carbon::createFromFormat('Y-m-d H:i','2020-08-31 12:00');
        $bhendDate2 = Carbon::createFromFormat('Y-m-d  H:i','2020-08-31 15:30');
        $bh_day2 = $dt->between($bhstartDate2,$bhendDate2);

        $start_time =  Carbon::parse("12:00 AM");
        $end_time =  Carbon::parse("03:15 PM");
        $sat_end_time =  Carbon::parse("11:00 AM");
        $is_active_time = $dt->between( $start_time, $end_time);
        $is_sat_time = $dt->between( $start_time, $sat_end_time);
        $day=$dt->isoFormat('ddd');

        if($day=="Mon"){
            if($is_active_time){
                $delivery_day="TUESDAY";
            }else{
                $delivery_day="WEDNESDAY";
            }
        } elseif($day=="Tue"){
            if($is_active_time){
                $delivery_day="WEDNESDAY";
            }else{
                $delivery_day="THURSDAY";
            }
        } elseif($day=="Wed"){
            if($is_active_time){
                $delivery_day="THURSDAY";
            }else{
                $delivery_day="FRIDAY";
            }
        } elseif($day=="Thu") {
            if($is_active_time) {
                $delivery_day="FRIDAY";
            }else{
                $delivery_day="MONDAY";
            }
        } elseif($day=="Fri"){
            $delivery_day="MONDAY";
        } elseif($day=="Sat") {
            if($is_sat_time) {
                $delivery_day="MONDAY";
            } else {
                $delivery_day="TUESDAY";
            }
        } else {
            $delivery_day="TUESDAY";
        }
        if($easter_week || $sb_day|| $bh_day){
            $delivery_day="TUESDAY";
        }elseif($easter_week2 || $bh_day2){
            $delivery_day="WEDNESDAY";
        }elseif($v_day){
            $delivery_day="MONDAY";
        }
        return $delivery_day;
    }

    public static function get_delivery_day()
    {
        $delivery_day_id=self::get_delivery_day_id();
        $delivery_day=Day::find($delivery_day_id)->day;
        return strtoupper($delivery_day);
    }

    public static function get_delivery_day_id()
    {
        $dt = Carbon::now();
        $start_time =  Carbon::parse("12:00 AM");
        $end_time =  Carbon::parse("03:15 PM");
        $sat_end_time =  Carbon::parse("11:00 AM");
        $is_active_time = $dt->between( $start_time, $end_time);
        $is_sat_time = $dt->between( $start_time, $sat_end_time);
        $day=$dt->isoFormat('ddd');
        $nextday_delivery_day=DeliveryDay::find(1);
        if($day=="Mon"){
            if($is_active_time){
                $delivery_day_id=$nextday_delivery_day->monday;
            }else{
                $delivery_day_id=$nextday_delivery_day->tuesday;
            }
        } elseif($day=="Tue"){
            if($is_active_time){
                $delivery_day_id=$nextday_delivery_day->tuesday;
            }else{
                $delivery_day_id=$nextday_delivery_day->wednesday;
            }
        } elseif($day=="Wed"){
            if($is_active_time){
                $delivery_day_id=$nextday_delivery_day->wednesday;
            }else{
                $delivery_day_id=$nextday_delivery_day->thursday;
            }
        } elseif($day=="Thu") {
            if($is_active_time) {
                $delivery_day_id=$nextday_delivery_day->thursday;
            }else{
                $delivery_day_id=$nextday_delivery_day->friday;
            }
        } elseif($day=="Fri"){
            $delivery_day_id=$nextday_delivery_day->friday;
        } elseif($day=="Sat") {
            if($is_sat_time) {
                $delivery_day_id=$nextday_delivery_day->saturday;
            } else {
                $delivery_day_id=$nextday_delivery_day->sunday;
            }
        } else {
            $delivery_day_id=$nextday_delivery_day->sunday;
        }

        return $delivery_day_id;
    }

    public static function is_sameday_delivery($ship_postcode)
    {
        $is_sameday_time = self::is_sameday_time();
        $delivery_day=DeliveryDay::where("shipping_method_id",14)->first();
        $dt = Carbon::now();
        $day = strtolower($dt->isoFormat('dddd'));

        if( $delivery_day->$day==0 || !$is_sameday_time){
            return false;
        } else {
            $post_code=self::is_sameday_postcode($ship_postcode);
            if($post_code){
                return true;
            } else {
                return false;
            }
        }
    }
    public static function is_nextday_delivery($ship_postcode)
    {
        $is_sameday_time = self::is_sameday_time();
        $delivery_day=DeliveryDay::where("shipping_method_id",15)->first();
        $dt = Carbon::now();
        $day = strtolower($dt->isoFormat('dddd'));

        if( $delivery_day->$day==0 || $is_sameday_time){
            return false;
        } else {
            $post_code=self::is_sameday_postcode($ship_postcode);
            if($post_code){
                $result['status']=true;
                $same_delivery_day=self::get_next_delivery_day();
                $result['day']=$same_delivery_day;
                return $result;
            } else {
                return false;
            }
        }
    }

    public static function get_order_delivery_day($order_id)
    {
        $order_delivery_day=OrderDeliveryDay::where('order_id',$order_id)->first();
        if($order_delivery_day){
            $delivery_day=Day::find($order_delivery_day->delivery_day_id)->day;
            return strtoupper($delivery_day);
        }
        return false;

    }

    public static function is_sameday_postcode($ship_postcode)
    {
        $ship_postcode = str_replace(' ', '', trim($ship_postcode));
        $term = trim(substr($ship_postcode, 0, -3));
        $post_code=ShippingMethodPostcode::where('post_code', $term)
            ->first();
        if($post_code){
            return true;
        } else {
            return false;
        }
    }

    public static function get_next_delivery_day()
    {
        $delivery_day_id=self::get_next_delivery_day_id();
        $delivery_day=Day::find($delivery_day_id)->day;
        return strtoupper($delivery_day);
    }

    public static function get_next_delivery_day_id()
    {
        $dt = Carbon::now();
        $day = strtolower($dt->isoFormat('dddd'));
        $delivery_day=DeliveryDay::where("shipping_method_id", 15)->first();
        return $delivery_day->$day;
    }

    public static function is_sameday_time()
    {
        $start_time =  Carbon::parse("12:00 AM");
        $end_time =  Carbon::parse("03:45 PM");
        $dt = Carbon::now();
        $day = $dt->format('N');
        $delivery_time=DeliveryTime::where("shipping_method_id",14)
            ->where("day",$day)
            ->first();

        if($delivery_time){
            $start_time =  Carbon::parse($delivery_time->start_time)->format('h:i a');
            $end_time =  Carbon::parse($delivery_time->end_time)->format('h:i a');
        }
        $is_same_day = Carbon::now()->between( $start_time, $end_time);
        if($is_same_day){
            return true;
        }
        return false;
    }

    public static function is_sat_sun_time()
    {
        $start_time =  Carbon::parse("12:00 AM");
        $end_time =  Carbon::parse("11:00 AM");
        $dt = Carbon::now();
        $day = $dt->isoFormat('ddd');
        if($day=="Fri"){
            $end_time =  Carbon::parse("12:00 AM");
        }
        if($day=="Fri" || $day=="Sat"||$day=="Sun"){
            $is_same_day = Carbon::now()->between( $start_time, $end_time);
            if($is_same_day){
                return true;
            }
        }
        return false;
    }

    public static function is_satSun_nextday_delivery($ship_postcode)
    {
        $is_sameday_time = self::is_sat_sun_time();
        $dt = Carbon::now();
        $day = strtolower($dt->isoFormat('ddd'));
        $delivery_day=6;

        if(($day!="fri" && $day!="sat") || $is_sameday_time){
            return false;
        } else {
            $post_code=self::is_sameday_postcode($ship_postcode);
            if($post_code){
                $result['status']=true;
                if($day=="sat"){
                    $delivery_day=7;
                }
                $result['day']=$delivery_day;
                return $result;
            } else {
                return false;
            }
        }
    }
    public static function is_satSun_sameday_delivery($ship_postcode)
    {
        $is_sameday_time = self::is_sat_sun_time();

        $dt = Carbon::now();
        $day = strtolower($dt->isoFormat('ddd'));

        if( ($day!="sat" && $day!="sun") || !$is_sameday_time){
            return false;
        } else {
            $post_code=self::is_sameday_postcode($ship_postcode);
            if($post_code){
                return true;
            } else {
                return false;
            }
        }
    }
    public static function get_satSun_delivery_day()
    {
        $dt = Carbon::now();
        $day = strtolower($dt->isoFormat('ddd'));
        if($day=="sat"){
            $delivery_day="SUNDAY";
        }else{
            $delivery_day="SATURDAY";
        }
        return strtoupper($delivery_day);
    }

    public static function get_satSun_delivery_day_id()
    {
        $dt = Carbon::now();
        $day = strtolower($dt->isoFormat('ddd'));
        if($day=="sat"){
            $delivery_day=7;
        }else{
            $delivery_day=6;
        }
        return $delivery_day;
    }

}
