<?php

namespace App\Http\Controllers;

use App\Models\Product;
use Carbon\Carbon;
use GuzzleHttp\Client;
use Illuminate\Http\Request;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

/**
 * Class HomeController
 * @package App\Http\Controllers\Admin
 */
class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     */
    public function __construct()
    {
    }

    /**
     * Show the Dashboard.
     */
    public function index(Request $request)
    {
        $filter = $request->filter;
        switch ($filter) {
            case 'today':
                $start_date = '';
                $end_date = Carbon::now();
                break;
            case 'lweek':
                $start_date = Carbon::now()->subDays(7);
                $end_date = Carbon::now();
                break;
            case 'lmonth':
                $start_date = Carbon::now()->subDays(30);
                $end_date = Carbon::now();
                break;
            case "lyear":
                $start_date = Carbon::now()->subDays(365);
                $end_date = Carbon::now();
                break;
            default:
                $start_date = '';
                $end_date = '';
        }

        $criteria = collect();
        $criteria->type = $filter ?? '';
        $criteria->start_date = $start_date;
        $criteria->end_date = $end_date;

        $title = 'Analytics Dashboard';
        $today = Carbon::now();
        $counts = collect();
        $counts->out_stocks = Product::where('stock_quantity', 0)->count();

        return view('dashboard', compact('title', 'today', 'counts', 'request'));
    }
    
    
    
    
    /**
     * Show the Dashboard.
     */
    public function dashboard2(Request $request)
    {
        $filter = $request->filter;
        switch ($filter) {
            case 'today':
                $start_date = '';
                $end_date = Carbon::now();
                break;
            case 'lweek':
                $start_date = Carbon::now()->subDays(7);
                $end_date = Carbon::now();
                break;
            case 'lmonth':
                $start_date = Carbon::now()->subDays(30);
                $end_date = Carbon::now();
                break;
            case "lyear":
                $start_date = Carbon::now()->subDays(365);
                $end_date = Carbon::now();
                break;
            default:
                $start_date = '';
                $end_date = '';
        }

        $criteria = collect();
        $criteria->type = $filter ?? '';
        $criteria->start_date = $start_date;
        $criteria->end_date = $end_date;

        $title = 'Analytics Dashboard 2.0';
        $today = Carbon::now();
        $counts = collect();
        $counts->out_stocks = Product::where('stock_quantity', 0)->count();

        return view('dashboard2', compact('title', 'today', 'counts', 'request'));
    }

    public function logout()
    {
        Auth::logout();
        return redirect('login');
    }

    public function graphLocations(Request $request)
    {
        // $filter = $request->filter;
        // $start_date = '';
        // $end_date = '';
        // if ($filter != '') {
        //     $start_date = Carbon::now();
        //     if ($filter == 'lweek') {
        //         $end_date = Carbon::now()->subWeek();
        //     } elseif ($filter == 'lmonth') {
        //         $end_date = Carbon::now()->subMonth();
        //     } elseif ($filter == 'lyear') {
        //         $end_date = Carbon::now()->subYear();
        //     }
        // }

        // $criteria = collect();
        // $criteria->type = $filter ?? '';
        // $criteria->start_date = $start_date;
        // $criteria->end_date = $end_date;
        // return Order::getByLocations($criteria);
    }

    public function updateLocation()
    {

        $locations = DB::select('select REPLACE(UPPER(`shipping_postcode`),\' \',\'\') as location from `orders` where `shipping_postcode` LIKE \'k%\' and `payment_status` = 0 and `order_from` = 1 and `order_status` != 5 and `shipping_postcode` is not null group by `shipping_postcode`');
        
        if (count($locations) > 0) {
            foreach ($locations as $location) {
                $address=$location->location;
                $area = DB::table('postcode_geocodes')
                    ->where('postcode', $address)
                    ->first();
                if (empty($area)) {
                    $client = new Client(); //GuzzleHttp\Client
                    $url = 'https://maps.googleapis.com/maps/api/geocode/json?address=' . $address . '&key=' . config('services.google.key');
                    $result = (string)$client->get($url)->getBody();
                    $json = json_decode($result);
                    if ($json->results) {
                        $lat = $json->results[0]->geometry->location->lat;
                        $lng = $json->results[0]->geometry->location->lng;
                        $city = $json->results[0]->address_components[2]->short_name ?? $json->results[0]->address_components[1]->long_name;
                        $data = [
                            'postcode' => $address,
                            'city' => $city,
                            'latitude' => $lat,
                            'longitude' => $lng,
                        ];
                        DB::table('postcode_geocodes')->insert($data);
                    } else {
                        $data = [
                            'postcode' => $address,
                            'city' => '',
                            'latitude' => '',
                            'longitude' => '',
                        ];
                        DB::table('postcode_geocodes')->insert($data);
                    }
                }
            }
        }
        // DB::statement('DELETE t1 FROM postcode_geocodes t1 INNER JOIN postcode_geocodes t2 WHERE t1.id < t2.id AND t1.postcode = t2.postcode');
    }


}
