<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Prescription extends Model
{
//    use SoftDeletes;

    public function medicines()
    {
        return $this->hasMany('App\Models\PrescriptionMedicine', 'prescription_id');
    }
    public function approved_medicines()
    {
        return $this->medicines()->where('status', 1);
    }

    public function doctor()
    {
        return $this->belongsTo('App\Models\Doctor', 'doctor_id');
    }

    public function orders()
    {
        return $this->belongsToMany('App\Models\Order', 'order_prescription', 'prescription_id', 'order_id');
    }
    public function getAddressAttribute(){
        return $this->address1 . ' ' .$this->address2 .' '.$this->address3 .' '. $this->city. ' '. $this->postcode;
    }

}
