@extends('layouts.app')
@section('title',Str::title($page->title))
@section('content')
<style>
label{
    width: 100%;
}
.radio-card input[type=radio] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

    .check-icon {
    width: 20px;
    height: 20px;
    display: inline-block;
    border: solid 2px #e3e3e3;
    border-radius: 50%;
    transition: 200ms linear;
    position: relative;
}

  input[type=radio]:checked + .card-content-wrapper {
    box-shadow: 0 2px 4px 0 rgb(219 215 215 / 50%), 0 0 0 3px #ff00d4;
}

 input[type=radio]:checked + .card-content-wrapper .check-icon {
    background: #3057d5;
    border-color: #3057d5;
    transform: scale(1.2);
}

 .check-icon:before {
 			content: '';
			position: absolute;
			inset: 0;
			background-image: url("data:image/svg+xml,%3Csvg width='12' height='9' viewBox='0 0 12 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0.93552 4.58423C0.890286 4.53718 0.854262 4.48209 0.829309 4.42179C0.779553 4.28741 0.779553 4.13965 0.829309 4.00527C0.853759 3.94471 0.889842 3.88952 0.93552 3.84283L1.68941 3.12018C1.73378 3.06821 1.7893 3.02692 1.85185 2.99939C1.91206 2.97215 1.97736 2.95796 2.04345 2.95774C2.11507 2.95635 2.18613 2.97056 2.2517 2.99939C2.31652 3.02822 2.3752 3.06922 2.42456 3.12018L4.69872 5.39851L9.58026 0.516971C9.62828 0.466328 9.68554 0.42533 9.74895 0.396182C9.81468 0.367844 9.88563 0.353653 9.95721 0.354531C10.0244 0.354903 10.0907 0.369582 10.1517 0.397592C10.2128 0.425602 10.2672 0.466298 10.3112 0.516971L11.0651 1.25003C11.1108 1.29672 11.1469 1.35191 11.1713 1.41247C11.2211 1.54686 11.2211 1.69461 11.1713 1.82899C11.1464 1.88929 11.1104 1.94439 11.0651 1.99143L5.06525 7.96007C5.02054 8.0122 4.96514 8.0541 4.90281 8.08294C4.76944 8.13802 4.61967 8.13802 4.4863 8.08294C4.42397 8.0541 4.36857 8.0122 4.32386 7.96007L0.93552 4.58423Z' fill='white'/%3E%3C/svg%3E%0A");
			background-repeat: no-repeat;
			
    background-repeat: no-repeat;
    background-size: 12px;
    background-position: center center;
    transform: scale(1.6);
    transition: 200ms linear;
    opacity: 0;
}

  input[type=radio]:checked + .card-content-wrapper .check-icon:before {
    transform: scale(1);
    opacity: 1;
}
.span-info{
        font-size: 10px;
       text-align: left;
       display: flex;
       min-height: 30px;

}
</style>
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">{{ Str::title($page->title) }}</h1>
                    </div><!-- /.col -->
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="{{ url('/') }}">Home</a></li>
                            <li class="breadcrumb-item active">{{ Str::title($page->title) }}</li>
                        </ol>
                    </div><!-- /.col -->
                </div><!-- /.row -->
            </div><!-- /.container-fluid -->
        </div>
        <!-- /.content-header -->

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <!-- Info boxes -->
                <div class="row">
                    <div class="col-12 text-right mb-3">
                        <div class="card">
                            <div class="card-body">
                                {!! Form::open(['url' => $page->link, 'method' => 'POST','class'=>'form-horizontal','id'=>'filter-form']) !!}
                                <div class="row">
                                    <label class="col-sm-1 px-0 col-form-label">Filter By: </label>
                                    <div class="col-sm-2">
                                        {!! Form::text('keyword', $request->keyword ?? '', ['class' => 'form-control','placeholder'=>'Keyword']) !!}
                                    </div>
                                    <div class="col-sm-2">
                                        {!! Form::text('start_date', $request->start_date ?? '', ['class' => 'form-control date-picker','placeholder'=>'From Date','id'=>'start_date','autocomplete'=>'off']) !!}
                                    </div>
                                    <div class="col-sm-2">
                                        {!! Form::text('end_date', $request->end_date ?? '', ['class' => 'form-control date-picker','placeholder'=>'To Date','id'=>'end_date','autocomplete'=>'off']) !!}
                                    </div>
                                    <div class="col-sm-1">
                                        {!! Form::select('sort',$page->sorts, $request->sort ?? '', ['class' => 'form-control','placeholder'=>'Sort By']) !!}
                                    </div>
                                      <div class="col-sm-2">
                                        {!! Form::select('last_login_filter',$page->last_logins, $request->last_login_filter ?? '', ['class' => 'form-control','placeholder'=>'Filter By Last Login']) !!}
                                    </div>
                                    
                                    {!! Form::hidden('filter', '', ['id'=>'filter']) !!}

                                    <button class="btn btn-danger" id="filter-button"><i class="fas fa-search"></i>
                                    </button>
                                                                            <button type="submit" name="download" value="1" class="btn btn-primary ml-2" id="filter-button"><i class="fas fa-download"></i>
                                        </button>
                                        
                                    <ul class="navbar-nav ml-2">
                                        <li class="nav-item dropdown">
                                            <a class="btn btn-dark" data-toggle="dropdown" href="#"
                                               aria-expanded="true">
                                                <i class="fas fa-cog"></i>
                                            </a>
                                            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right"
                                                 style="left: inherit; right: 0px;">
                                                <span class="dropdown-item dropdown-header">Quick Filter</span>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0);" onclick="changeDates('all')"
                                                   class="dropdown-item">All</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0);" onclick="changeDates('today')"
                                                   class="dropdown-item">Today</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0);" onclick="changeDates('week')"
                                                   class="dropdown-item">This Week (From start this week)</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0);" onclick="changeDates('month')"
                                                   class="dropdown-item">This Month (From start this month)</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0);" onclick="changeDates('year')"
                                                   class="dropdown-item">This Year (From start this year)</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0);" onclick="changeDates('lweek')"
                                                   class="dropdown-item">Week (Last 7 Days)</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0);" onclick="changeDates('lmonth')"
                                                   class="dropdown-item">Month (Last 30 Days)</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0);" onclick="changeDates('lyear')"
                                                   class="dropdown-item">Year (Last 365 Days)</a>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                                {!! Form::close() !!}
                            </div>
                        </div>
                    </div>
                </div>
                
                
       <div class="row">

                        <div class="col-lg-3 col-6 radio-card">
                          <label for="radio-card-1" class="radio-card">
                            
                              <input type="radio" name="radio-card" id="radio-card-1" checked />
                            <!-- small box -->
                            <div class="small-box bg-purple card-content-wrapper">
                                     
              <span class="check-icon"></span>
              
                                
                                
                              <div class="inner">
                                <h3>{{$count["total_customer"]}}</h3>
                
                                <p>Total Customers <br>&nbsp;  <span class="span-info"><br></span></p>
                              </div>
                              <div class="icon">
                                  <i class="fas fa-user-plus"></i>
                              </div>
                              <a href="#" class="small-box-footer">
                                 
                              </a>
                            </div>
                            </label>
                        </div>


                        <div class="col-lg-3 col-6 radio-card">
                          <!-- small box -->
                          <label for="radio-card-2" class="radio-card">

                              <input type="radio" name="radio-card" id="radio-card-2"  />
                            <!-- small box -->
                                     
              
                          <div class="small-box btn-info card-content-wrapper">
                           <span class="check-icon"></span>

                            <div class="inner">
                              <h3>{{$count["new_customer"]}}</h3>
              
                              <p>New customers<br> registerd with in a month
                              <span class="span-info"><br></span>
                              </p>
                            </div>
                            <div class="icon">
                                <i class="fas fa-user-plus"></i>
                            </div>
                            <a href="#" class="small-box-footer">
                               
                            </a>
                          </div>
                          </label>

                        </div>
                       

                        <!-- ./col -->
                        <div class="col-lg-3 col-6 radio-card">

                            <label for="radio-card-3" class="radio-card">

                            <input type="radio" name="radio-card" id="radio-card-3"  />
                            <!-- small box -->
                                     
               
                          <!-- small box -->
                          <div class="small-box btn-success card-content-wrapper">
                           <span class="check-icon"></span>

                            <div class="inner">
                              <h3>{{$count["returning_customer"]}}</h3>
              
                              <p>Returning customer<br>&nbsp;
                              <span class="span-info">No of customers who have placed an order after 3 months or above from the last order. </span>
                              </p>
                            </div>
                            <div class="icon">
                              <i class="fas fa-user-plus"></i>
                            </div>
                            <a href="#" class="small-box-footer">
                            </a>
                          </div>
                          </label>

                        </div>
                        <!-- ./col -->
                        <div class="col-lg-3 col-6 radio-card">
                            <label for="radio-card-4" class="radio-card">
                            <input type="radio" name="radio-card" id="radio-card-4"  />
               
                          <!-- small box -->
                          <div class="small-box btn-warning card-content-wrapper">
                           <span class="check-icon"></span>

                            <div class="inner">
                              <h3>{{ $count["inactive_customer"]}}</h3>
              
                              <p>Inactive customer<br>&nbsp;
                                 <span class="span-info">No of Customer who hasn't placed an order for the last 3 months and above. </span>
                              </p>
                            </div>
                            <div class="icon">
                              <i class="fas fa-user-plus"></i>
                            </div>
                            <a href="#" class="small-box-footer">
                            </a>
                          </div>
                        </label>
                        </div>
                        <!-- ./col -->
                        <div class="col-lg-3 col-6 radio-card">
                            <label for="radio-card-5" class="radio-card">
                            <input type="radio" name="radio-card" id="radio-card-5"  />
               
                          <!-- small box -->
                          <div class="small-box btn-danger card-content-wrapper">
                           <span class="check-icon"></span>
                             <div class="inner">
                              <h3>{{$count["inactive_customer_percentage"]}}<sup style="font-size: 20px">%</sup></h3>
              
                              <p>Inactive customer <br>percentage<br>
                              
                                <span class="span-info">Percentage of Inactive customers from the total customer data base. </span>
                              
                              </p>
                            </div>
                            <div class="icon">
                              <i class="fas fa-user-plus"></i>
                            </div>
                            <a href="#" class="small-box-footer">
                            </a>
                          </div>
                          </label>

                        </div>


                        <div class="col-lg-3 col-6 radio-card">
                            <label for="radio-card-6" class="radio-card">

                            <input type="radio" name="radio-card" id="radio-card-6"  />
                   <!-- small box -->
                            <div class="small-box btn-primary card-content-wrapper">
                                <span class="check-icon"></span>
                              <div class="inner">
                                <h3>{{$count["guest_user"]}}</h3>
                
                                <p>Guest users <br>&nbsp;
                                 <span class="span-info">No of Guest users who hasn't placed an order for the last 3 months.  </span>
                                </p>
                              </div>
                              <div class="icon">
                                <i class="fas fa-user-plus"></i>
                              </div>
                              <a href="#" class="small-box-footer">
                              </a>
                            </div>
                            </label>
                          </div>
                          
                          
                          
                             <div class="col-lg-3 col-6 radio-card">
                            <label for="radio-card-6" class="radio-card">

                            <input type="radio" name="radio-card" id="radio-card-6"  />
                   <!-- small box -->
                            <div class="small-box btn-success card-content-wrapper">
                                <span class="check-icon"></span>
                              <div class="inner">
                                <h3>{{$count["active_guest_user"]}}</h3>
                
                                <p>No of Active guest users <br>&nbsp;
                                 <span class="span-info">No of guest users who has placed an order during the last 3 months.  </span>
                                </p>
                              </div>
                              <div class="icon">
                                <i class="fas fa-user-plus"></i>
                              </div>
                              <a href="#" class="small-box-footer">
                              </a>
                            </div>
                            </label>
                          </div>

                        <!-- ./col -->
                      </div>
         
                
                
                <div class="row">
                    <div class="col-12">
                        <div class="card card-danger card-outline">
                            <div class="card-header">
                                <h3 class="card-title">Customer Lists</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body p-0 data-table-container">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="table-responsive p-3">
                                            <table class="table table-hover table-striped table-bordered data-tables"
                                                   data-url="{{ $page->link.'/lists' }}" data-form="filter"
                                                   data-length="25">
                                                <thead>
                                                <tr>
                                                                                                        <th data-orderable="false">#ID</th>
                                                                                                        
                                                    <th data-orderable="false">Customer</th>
                                                    <th data-orderable="false">Email</th>
                                                    <th data-orderable="false">Phone Number</th>
                                                                                         
                                                    <th data-orderable="false">Location</th>
                                                    
                                                                <th data-orderable="false">Last Login</th>   
                                                    <th data-orderable="false">Sales</th>
                                                    <th data-orderable="true">Revenue</th>
                                                    <th data-orderable="false">Options</th>
                                                </tr>
                                                </thead>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <!-- /.table-responsive -->
                            </div>
                        </div>
                    </div>

                    <!-- /.col -->
                </div>
            </div><!--/. container-fluid -->
        </section>
        <!-- /.content -->
    </div>
@endsection
@push('page-css')
    <link rel="stylesheet" href="{{ asset('plugins/datatables-bs4/css/dataTables.bootstrap4.min.css') }}">
    <link rel="stylesheet" href="{{ asset('plugins/datatables-responsive/css/responsive.bootstrap4.min.css') }}">
    <link rel="stylesheet" href="{{ asset('plugins/bootstrap-datepicker/css/bootstrap-datepicker.css') }}">
@endpush
@push('page-js')
    <script src="{{ asset('plugins/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('plugins/datatables-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('plugins/datatables-responsive/js/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('plugins/datatables-responsive/js/responsive.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('plugins/moment/moment.min.js') }}"></script>
    <script src="{{ asset('plugins/bootstrap-datepicker/js/bootstrap-datepicker.js') }}"></script>
    <script>
        $('.date-picker').datepicker({
            format: 'dd/mm/yyyy',
            autoclose: true,
            todayHighlight: true
        });

        function changeDates(value) {
            $('#filter').val(value);
            $('#filter-form').submit();
        }

    </script>
@endpush
