@extends('layouts.app')
@section('title',Str::title($title))
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">{{ Str::title($title) }}</h1>
                    </div><!-- /.col -->
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="{{ url('/') }}">Home</a></li>
                            <li class="breadcrumb-item active">{{ Str::title($title) }}</li>
                        </ol>
                    </div><!-- /.col -->
                </div><!-- /.row -->
            </div><!-- /.container-fluid -->
        </div>
        <!-- /.content-header -->

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <!-- Info boxes -->
                <div class="row">
                    <div class="col-12 text-right mb-3">
                        <a href="{{ url('/dashboard2') }}"
                           class="btn btn-outline-success {{ Request::is('dashboard2') && !request()->get('filter') ? 'active' : '' }}">All</a>
                        <a href="{{ url('dashboard2?filter=today') }}"
                           class="btn btn-outline-success {{ Request::is('dashboard2') && request()->get('filter')=='today' ? 'active' : '' }}">Today</a>
                        <a href="{{ url('dashboard2?filter=lweek') }}"
                           class="btn btn-outline-success {{ Request::is('dashboard2') && request()->get('filter')=='lweek' ? 'active' : '' }}">WeeK
                            (Last 7
                            Days)</a>
                        <a href="{{ url('dashboard2?filter=lmonth') }}"
                           class="btn btn-outline-success {{ Request::is('dashboard2') && request()->get('filter')=='lmonth' ? 'active' : '' }}">Month
                            (Last
                            30 Days)</a>
                        <a href="{{ url('dashboard2?filter=lyear') }}"
                           class="btn btn-outline-success {{ Request::is('dashboard2') && request()->get('filter')=='lyear' ? 'active' : '' }}">Year
                            (Last
                            365 Days)</a>
                        {!! Form::open(['id'=>'filter-form']) !!}
                        {!! Form::hidden('filter', $request->filter ?? 'all', ['id'=>'filter']) !!}
                        {!! Form::close() !!}
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-4 col-md-3">
                        
                                                <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box" style="min-height:86px">
                                <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-users"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Total Customers</span>
                                    <span class="info-box-number loadbar" id="order-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        
                        
                                                <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box" style="min-height:86px">
                                <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-users"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Customers Registered this</br> month</span>
                                    <span class="info-box-number loadbar" id="order-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        
                                                                        <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box" style="min-height:86px">
                                <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-users"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Total monthly gross</span>
                                    <span class="info-box-number loadbar" id="order-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        
                                                                           <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box" style="min-height:86px">
                                <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-users"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Average basket value</br> for the month</span>
                                    <span class="info-box-number loadbar" id="order-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        
                        
                        
                                                                                           <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box" style="min-height:86px">
                                <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-users"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Best selling product</span>
                                    <span class="info-box-number loadbar" id="order-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        
                        
                                   <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box" style="min-height:86px">
                                <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-users"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Worst selling product</span>
                                    <span class="info-box-number loadbar" id="order-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        
                        
                                   <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box" style="min-height:86px">
                                <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-users"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Number of </br>returns/refunds</span>
                                    <span class="info-box-number loadbar" id="order-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        
                                    <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box" style="min-height:86px">
                                <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-users"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Best selling category</span>
                                    <span class="info-box-number loadbar" id="order-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        
                        
                                  <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box" style="min-height:86px">
                                <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-users"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Items out of stock</br> and period out</br> of stock</span>
                                    <span class="info-box-number loadbar" id="order-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        
                        
                        <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box" style="min-height:86px">
                                <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-cubes"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Total Sales</span>
                                    <span class="info-box-number loadbar" id="order-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->

                        <a href="javascript:void(0)" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                            <span class="info-box-icon bg-danger elevation-1"><i
                                    class="fas fa-shopping-basket"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Same Day Delivery</span>
                                    <span class="info-box-number loadbar" id="sameday-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->

                        <a href="javascript:void(0)" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                            <span class="info-box-icon bg-success elevation-1"><i
                                    class="fas fa-cube"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Next Day Delivery</span>
                                    <span class="info-box-number loadbar" id="nextday-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->

                        <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                                <span class="info-box-icon bg-warning elevation-1"><i
                                        class="fas fa-chart-line"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Total Revenue</span>
                                    <span
                                        class="info-box-number loadbar" id="revenue-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->
                    </div>
                    <!-- /.col -->

                    <div class="col-md-6">
                        <div class="card card-primary card-outline">
                            <div class="card-header">
                                <h3 class="card-title">
                                    <i class="far fa-chart-bar"></i>
                                    Sales Analysis
                                </h3>
                            </div>
                            <div class="card-body">
                                <div class="chart text-center loader" id="saleChart">
                                </div>
                            </div>
                            <div class="card-footer clearfix">
                                <a href="{{ url('sales') }}" class="btn btn-sm btn-outline-primary float-right">View All</a>
                            </div>
                            <!-- /.card-body-->
                        </div>
                    </div>
                    <div class="col-sm-4 col-md-3">
                        <a href="{{ url('sales/abandon') }}" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                            <span class="info-box-icon bg-cyan elevation-1"><i
                                    class="fas fa-hand-holding-usd"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Abandoned Sales</span>
                                    <span class="info-box-number loadbar" id="abandon-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <a href="{{ url('sales') }}" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                            <span class="info-box-icon bg-secondary elevation-1"><i
                                    class="fas fa-hand-holding-usd"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Refunds</span>
                                    <span class="info-box-number loadbar" id="refund-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->

                        <a href="{{ url('stocks') }}" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                            <span class="info-box-icon bg-dark elevation-1"><i
                                    class="fas fa-cube"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Out Of Stock Products</span>
                                    <span class="info-box-number">{{ $counts->out_stocks }}</span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="card border-secondary card-secondary card-outline">
                            <div class="card-header border-transparent">
                                <h3 class="card-title">Highest orders above &pound;50</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body p-0">
                                <div class="table-responsive text-center loader" id="highest-list"></div>
                                <!-- /.table-responsive -->
                            </div>
                            <!-- /.card-body -->
                            <div class="card-footer clearfix">
                                <a href="{{ url('sales') }}"
                                   class="btn btn-sm btn-outline-secondary float-right">View All</a>
                            </div>
                            <!-- /.card-footer -->
                        </div>
                    </div>
                    <div class="col-md-6" style="display: none" id="product_div">
                        <div class="card card-danger card-outline">
                            <div class="card-header">
                                <h3 class="card-title">
                                    <i class="far fa-chart-bar"></i>Top Selling Products
                                </h3>
                            </div>
                            <div class="card-body">
                                <div id="productChart" style="height: 250px"></div>
                            </div>
                            <div class="card-footer clearfix">
                                <a href="{{ url('products') }}"
                                   class="btn btn-sm btn-outline-danger float-right">View All</a>
                            </div>
                            <!-- /.card-body-->
                        </div>
                    </div>

                    <div class="col-md-6" style="display: none" id="category_div">
                        <div class="card card-warning card-outline">
                            <div class="card-header">
                                <h3 class="card-title">
                                    <i class="far fa-chart-bar"></i>Top Selling Categories
                                </h3>
                            </div>
                            <div class="card-body">
                                <div id="categoryChart" style="height: 250px"></div>
                            </div>
                            <div class="card-footer clearfix">
                                <a href="{{ url('categories') }}"
                                   class="btn btn-sm btn-outline-warning float-right">View All</a>
                            </div>
                            <!-- /.card-body-->
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="card border-primary">
                            <div class="card-header border-transparent bg-primary">
                                <h3 class="card-title">Top Customers based on sales</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body p-0">
                                <div class="table-responsive loader" id="customer-order-list">
                                </div>
                                <!-- /.table-responsive -->
                            </div>
                            <!-- /.card-body -->
                            <div class="card-footer clearfix">
                                <a href="{{ url('customers') }}"
                                   class="btn btn-sm btn-outline-primary float-right">View All</a>
                            </div>
                            <!-- /.card-footer -->
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="card border-warning">
                            <div class="card-header border-transparent bg-warning">
                                <h3 class="card-title">Top Customers based on Revenue</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body p-0">
                                <div class="table-responsive loader" id="customer-price-list">
                                </div>
                                <!-- /.table-responsive -->
                            </div>
                            <!-- /.card-body -->
                            <div class="card-footer clearfix">
                                <a href="{{ url('customers') }}"
                                   class="btn btn-sm btn-outline-warning float-right">View All</a>
                            </div>
                            <!-- /.card-footer -->
                        </div>
                    </div>
                    <div class="col-md-6" style="display: none" id="coupon_div">
                        <div class="card card-success card-outline">
                            <div class="card-header">
                                <h3 class="card-title">
                                    <i class="far fa-chart-bar"></i>Top Coupons Used
                                </h3>
                            </div>
                            <div class="card-body">
                                <canvas id="couponChart"
                                        style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                            </div>
                            <div class="card-footer clearfix">
                                <a href="{{ url('coupons') }}"
                                   class="btn btn-sm btn-outline-success float-right">View All</a>
                            </div>
                            <!-- /.card-body-->
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="card border-success">
                            <div class="card-header border-transparent bg-danger">
                                <h3 class="card-title">Abandoned Orders</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body p-0">
                                <div class="table-responsive loader" id="abandon-list">

                                </div>
                                <!-- /.table-responsive -->
                            </div>
                            <!-- /.card-body -->
                            <div class="card-footer clearfix">
                                <a href="{{ url('sales/abandon') }}"
                                   class="btn btn-sm btn-outline-danger float-right">View All</a>
                            </div>
                            <!-- /.card-footer -->
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <!-- MAP & BOX PANE -->
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">UK Sales Report</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body p-0">
                                <div class="row">
                                    <div class="col-12">
                                        <div id="map" class="text-center"></div>
                                    </div>
                                </div>
                            </div>
                            <!-- /.card-body -->
                        </div>

                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection
@push('page-styles')
    <style>
        #map {
            height: 600px;
            position: inherit;
        }

        .card-body text {
            font-weight: bold !important;
        }
    </style>
@endpush
@push('page-js')
    <script>
        var filter = '{{ $_GET['filter'] ?? '' }}';
    </script>
    <script src="{{ asset('plugins/chart.js/Chart.min.js') }}"></script>
    <script src="{{ asset('dist/js/chart.funnel.bundled.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.3/d3.min.js"></script>
    <script src="{{ asset('dist/js/d3-funnel.js') }}"></script>
    <script src="{{ asset('dist/js/demo.js') }}"></script>
    <script src="{{ asset('plugins/jquery-mousewheel/jquery.mousewheel.js') }}"></script>
    <script src="{{ asset('dist/js/pages/dashboard2.js') }}"></script>
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key={{ config('services.google.key') }}&callback=initMap">
    </script>
@endpush
