@extends('layouts.app')
@section('title',Str::title($page->title))
@section('content')
    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">{{ Str::title($page->title) }}  {{$data['name']}}</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="{{ url('/') }}">Home</a></li>
                            <li class="breadcrumb-item active">{{ Str::title($page->title) }}</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
        <section class="content">
 
<div class="row">
    <div class="col-12">
        <div class="card border-secondary card-secondary card-outline">
            <div class="card-header border-transparent">
                <h3 class="card-title">Campaign Status</h3>
            </div>
    <div class="col-12">
        

        <table class="table m-0 table-striped d-block mw-100 overflow-scroll" style="overflow-x:scroll "><thead>
            
            {{-- <tr> --}}
                {{-- <th>Campaign ID</th>
                <th>Unique Clicks</th>
                <th>Clickers</th>
             --}}
            {{-- </tr> --}}

            <tbody> 
                 <tr>
                    <td>Name</td>
                     <td>{{$data["name"]}}</td>
                  
                 </tr>
                 <tr>
                    <td>Subject</td>
                     <td>{{$data["subject"]}}</td>
                 </tr>

                 <tr>
                    <td>Type</td>
                     <td>{{$data["type"]}}</td>
                 </tr>

                 <tr>
                    <td>Status</td>
                     <td>{{$data["status"]}}</td>
                 </tr>

                 <tr>
                    <td>Scheduled at </td>
                     <td>{{$data["scheduledAt"]}}</td>
                 </tr>
                 <tr>
                    <td>Created at</td>
                     <td>{{$data["createdAt"]}}</td>
                 </tr> 
                 <tr>
                    <td>Test Modified at</td>
                     <td>{{$data["modifiedAt"]}}</td>
                 </tr> 
                 <tr>
                    <td>Inline Image Activation</td>
                     <td>{{$data["inlineImageActivation"]}}</td>
                 </tr> 
                 <tr>
                    <td>Mirror Active</td>
                     <td>{{$data["mirrorActive"]}}</td>
                 </tr> 
                 <tr>
                    <td>Recurring</td>
                     <td>{{$data["recurring"]}}</td>
                 </tr> 
                 <tr>
                    <td>Sent Date</td>
                     <td>{{$data["sentDate"]}}</td>
                 </tr> 
                 <tr>
                    <td>Return Bounce</td>
                     <td>{{$data["returnBounce"]}}</td>
                 </tr> 
              
                 <tr>
                    <td>Recipients</td> <pre>
                     <td>{{$data["recipients"]["lists"][0]}}</td>
                 </tr> 
   
                 <tr>
                    <td>Unique Clicks</td>
                     <td>{{@$data["statistics"]["globalStats"]->uniqueClicks}}</td>
                 </tr> 

                 <tr>
                    <td>Clickers</td>
                     <td>{{@$data["statistics"]["globalStats"]->clickers}}</td>
                 </tr> 


                 <tr>
                    <td>Complaints</td>
                     <td>{{@$data["statistics"]["globalStats"]->complaints}}</td>
                 </tr> 


                 <tr>
                    <td>Delivered</td>
                     <td>{{@$data["statistics"]["globalStats"]->delivered}}</td>
                 </tr> 

                 <tr>
                    <td>Sent</td>
                     <td>{{@$data["statistics"]["globalStats"]->sent}}</td>
                 </tr> 
                 

                 <tr>
                    <td>Soft Bounces</td>
                     <td>{{@$data["statistics"]["globalStats"]->softBounces}}</td>
                 </tr> 



                 <tr>
                    <td>Hard Bounces</td>
                     <td>{{@$data["statistics"]["globalStats"]->hardBounces}}</td>
                 </tr> 

                 <tr>
                    <td>Unique Views</td>
                     <td>{{@$data["statistics"]["globalStats"]->uniqueViews}}</td>
                 </tr> 


                 <tr>
                    <td>Viewed</td>
                     <td>{{@$data["statistics"]["globalStats"]->viewed}}</td>
                 </tr> 

                 <tr>
                    <td>Trackable Views</td>
                     <td>{{@$data["statistics"]["globalStats"]->trackableViews}}</td>
                 </tr> 



                 <tr>
                    <td>Mirror Click</td>
                     <td>{{@$data["statistics"]["mirrorClick"]}}</td>
                 </tr> 


                 <tr>
                    <td>Remaining</td>
                     <td>{{@$data["statistics"]["remaining"]}}</td>
                 </tr> 



                 <tr>
                    <td>AB Testing</td>
                     <td>{{$data["abTesting"]}}</td>
                 </tr>    <tr>
                    <td>Subject A</td>
                     <td>{{$data["subjectA"]}}</td>
                 </tr>

                 <tr>
                    <td>Subject B</td>
                     <td>{{$data["subjectB"]}}</td>
                 </tr>

                 <tr>
                    <td>Split Rule</td>
                     <td>{{$data["splitRule"]}}</td>
                 </tr>
                 <tr>
                    <td>Winner Criteria</td>
                     <td>{{$data["winnerCriteria"]}}</td>
                 </tr>

                 <tr>
                    <td>Winner Delay</td>
                     <td>{{$data["winnerDelay"]}}</td>
                 </tr>
                 <tr>
                    <td>Send at Best Time</td>
                     <td>{{$data["sendAtBestTime"]}}</td>
                 </tr>

                 <tr>
                    <td>Tag</td>
                     <td>{{$data["tag"]}}</td>
                 </tr> 

              
 
             </tbody></table>
        </div>
        </div>
    </div>
 
            </div>
        </section>
    </div>
@endsection
@push('page-js')
    <script src="{{ asset('plugins/chart.js/Chart.min.js') }}"></script>
    <script src="{{ asset('dist/js/pages/orders.js') }}"></script>
@endpush
