@extends('layouts.app')
@section('title',Str::title($page->title))
@section('content')
    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">{{ Str::title($page->title) }}</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="{{ url('/') }}">Home</a></li>
                            <li class="breadcrumb-item active">{{ Str::title($page->title) }}</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
        <section class="content">
            <div class="container-fluid">
             
         
                <div class="row">
                    <div class="col-12">
                        <div class="card card-danger card-outline">
                            <div class="card-header">
                                <h3 class="card-title">Email Campaign Lists</h3>
                            </div>
                            <div class="card-body p-0 data-table-container">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="table-responsive p-3">
                                            <table class="table table-hover table-striped table-bordered  "
                                                     data-form="filter" id="campaign"
                                                   data-length="25">
                                                   <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th>Name</th>
                                                        <th>Unique Subscribers</th>
                                                        <th>Total Blacklisted</th>
                                                        <th>Total Subscribers</th>

                                                         <th>Options</th>
                                                    </tr>
                                                </thead>

                                                <tbody>

                                                    @foreach($campaigns as $key=> $campaign)
<tr>
    <td>{{ $key+1}}</td>
    <td>{{$campaign["name"]}}</td>
    <td>{{$campaign["uniqueSubscribers"]}}</td>
    <td>{{$campaign["totalBlacklisted"]}}</td>
    <td>{{$campaign["totalSubscribers"]}}</td>
    <td>

     <a class="btn btn-sm btn-outline-dark btn-text-success btn-hover-success btn-icon mr-2" title="View" href="{{url('emails/view/' . $campaign['id'])}}"><i class="fa fa-eye"></i></a> 
         

    </td>

</tr>

                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection
@push('page-js')


<script>
    $('#campaign').DataTable({
         processing: true,
         serverSide: false, 
         searching: true,
         "order": [[ 2, "desc" ]], 
         columns: [
             {data: 'id', name: 'id'},
             {data: 'name', name: 'name'},
             {data: 'subscribers', name: 'subscribers'},
             {data: 'black_list', name: 'black_list'},
             {data: 'total_subscribe', name: 'total_subscribe'},
             {data: 'option', name: 'option'}
 
         ]
     });
 </script>
 
@endpush
