@extends('layouts.app')
@section('title',Str::title($page->title))
@section('content')
    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">{{ Str::title($page->title) }}  {{$data['name']}}</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="{{ url('/') }}">Home</a></li>
                            <li class="breadcrumb-item active">{{ Str::title($page->title) }}</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
        <section class="content">
            <div class="container-fluid">
             
<div class="row">
 
<div class="col-md-4">

<div class="col-md-12">
    <div class="info-box">
        <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-user  "></i></span>
        <div class="info-box-content">
        <span class="info-box-text">Total Subscribers </span>
            <span class="info-box-number "  >{{$data['totalSubscribers']}}</span>
        </div>
    </div>
</div>
</div>

<div class="col-md-4">

<div class="col-md-12">
    <div class="info-box">
        <span class="info-box-icon bg-danger elevation-1"><i class="fas fa-user"></i></span>
        <div class="info-box-content">
            <span class="info-box-text">Total Black List </span>
            <span class="info-box-number "  >{{$data['totalBlacklisted']}}</span>
        </div>
    </div>
</div>
</div>



<div class="col-md-4">

    <div class="col-md-12">
        <div class="info-box">
        <span class="info-box-icon bg-success elevation-1"><i class="fas fa-user"></i></span>
        <div class="info-box-content">
            <span class="info-box-text">Total Unique Subscribers </span>
            <span class="info-box-number " >{{$data['uniqueSubscribers']}}</span>
        </div>
    </div>
</div>
</div>

</div>




<div class="row">
 
    <div class="col-md-4">
    
    <div class="col-md-12">
        <div class="info-box">
            <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-user  "></i></span>
            <div class="info-box-content">
            <span class="info-box-text">Total Clicks Count</span>
                <span class="info-box-number "  >{{$data['clickers']}}</span>
            </div>
        </div>
    </div>
    </div>
    
    <div class="col-md-4">
    
    <div class="col-md-12">
        <div class="info-box">
            <span class="info-box-icon bg-danger elevation-1"><i class="fas fa-user"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">Total Viewed </span>
                <span class="info-box-number "  >{{$data["viewed"]}}</span>
            </div>
        </div>
    </div>
    </div>
    
    
    
    <div class="col-md-4">
    
        <div class="col-md-12">
            <div class="info-box">
            <span class="info-box-icon bg-success elevation-1"><i class="fas fa-user"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">Total Unsubscriptions </span>
                <span class="info-box-number " >{{$data['unsubscriptions']}}</span>
            </div>
        </div>
    </div>
    </div>
    
    </div>



 
</div>
<div class="row">
    <div class="col-12">
        <div class="card border-secondary card-secondary card-outline">
            <div class="card-header border-transparent">
                <h3 class="card-title">Campaign Status</h3>
            </div>
    <div class="col-12">
        <table class="table m-0 table-striped d-block mw-100 overflow-scroll" style="overflow-x:scroll "><thead>
            
            <tr>
                <th>View</th>
                <th>Unique Clicks</th>
                <th>Clickers</th>
                <th>Complaints</th>
                <th>Delivered</th>
                <th>Sent</th>
                <th>Soft Bounces</th>
                <th>Hard Bounces</th>
                <th>Unique Views</th>
                <th>Trackable Views</th>
                <th>Unsubscriptions</th>
                <th>Viewed</th>
                <th>Deferred</th>
                <th>Return Bounce</th>
            </tr>

            <tbody> 
                
                @foreach ($data["campaignStats"] as $item)
                 <tr>
                    <td>
                    <a class="btn btn-sm btn-outline-dark btn-text-success btn-hover-success btn-icon mr-2" title="View" href="{{url('/emails/Campaign/view/'.$item["campaignId"])}}"><i class="fa fa-eye"></i></a>
                    </td>
                    
                 <td>{{$item["stats"]["uniqueClicks"]}}</td>
                <td>{{$item["stats"]["clickers"]}}</td>
                <td>{{$item["stats"]["complaints"]}}</td>
                <td>{{$item["stats"]["delivered"]}}</td>
                <td>{{$item["stats"]["sent"]}}</td>
                <td>{{$item["stats"]["softBounces"]}}</td>
                <td>{{$item["stats"]["hardBounces"]}}</td>
                <td>{{$item["stats"]["uniqueViews"]}}</td>
                <td>{{$item["stats"]["trackableViews"]}}</td>
                <td>{{$item["stats"]["unsubscriptions"]}}</td>
                <td>{{$item["stats"]["viewed"]}}</td>
                <td>{{$item["stats"]["deferred"]}}</td>
                <td>{{$item["stats"]["returnBounce"]}}</td>
                 </tr>



                @endforeach
    
              
             </tbody></table>
        </div>
        </div>
    </div>




                
                <div class="row">
                    <div class="col-12">
                        <div class="card card-danger card-outline">
                            <div class="card-header">
                                <h3 class="card-title">Subscribers</h3>
                            </div>
                            <div class="card-body p-0 data-table-container">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="table-responsive p-3">
                                            <table class="table table-hover table-striped table-bordered data-tables"
                                                   data-url="{{ $page->link.'/lists/'.$data["id"] }}" data-form="filter"
                                                   data-length="25">
                                                   <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th>Name</th>
                                                        <th>Email</th>
                                                        <th>Phone</th>

                                                        <th>Age</th>

                                                        <th>Email Blacklisted</th>
                                                        <th>SMS Blacklisted</th>

                                                        <th>Created At</th>
                                                        <th>Modified At</th>
                                                        {{-- <th>Order Date</th> --}}
                                                        <th>Action</th>

                                                         {{-- <th>Options</th> --}}
                                                    </tr>
                                                </thead>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection
@push('page-js')
    <script src="{{ asset('plugins/chart.js/Chart.min.js') }}"></script>
    <script src="{{ asset('dist/js/pages/orders.js') }}"></script>
@endpush
