@extends('layouts.app')
@section('title', Str::title($page->title))
@section('content')
    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">{{ Str::title($page->title) }} {{ $data['name'] }}</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="{{ url('/') }}">Home</a></li>
                            <li class="breadcrumb-item active">{{ Str::title($page->title) }}</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
        <section class="content">



            <div class="row">
                <div class="col-6">
                    <div class="card border-secondary card-secondary card-outline">
                        <div class="card-header border-transparent">
                            <h3 class="card-title">Campaign Status</h3>
                        </div>
                        <div class="col-12">


                            <table class="table m-0 table-striped d-block mw-100 overflow-scroll"
                                style="overflow-x:scroll ">
                                <thead>

                                <tbody>

                                    <tr>
                                        <td>Email</td>
                                        <td>{{ $data['email'] }}</td>
                                    </tr>
                                    <tr>
                                        <td>Email Blacklisted</td>
                                        <td>{{ $data['emailBlacklisted'] }}</td>
                                    </tr>
                                    <tr>
                                        <td>SMS Blacklisted</td>
                                        <td>{{ $data['smsBlacklisted'] }}</td>
                                    </tr>
                                    <tr>
                                        <td>MessagesSent</td>
                                        <td>
                                            <ol>
                                                @if ($data['statistics']['messagesSent'] != null)
                                                    @foreach ($data['statistics']['messagesSent'] as $sent)
                                                        <li>{{ $sent['eventTime'] }}</li>
                                                    @endforeach
                                                @endif
                                            </ol>
                                    </tr>

                                    <tr>
                                        <td>Hard Bounces</td>
                                        <td>


                                            <ol>
                                                @if ($data['statistics']['hardBounces'] != null)
                                                    @foreach ($data['statistics']['hardBounces'] as $sent)
                                                        <li>{{ $sent['eventTime'] }}</li>
                                                    @endforeach

                                                @endif
                                            </ol>

                                        </td>


                                    </tr>
                                    <tr>
                                        <td>Soft Bouncest</td>
                                        <td>


                                            <ol>
                                                @if ($data['statistics']['softBounces'] != null)
                                                    @foreach ($data['statistics']['softBounces'] as $sent)
                                                        <li>{{ $sent['eventTime'] }}</li>
                                                    @endforeach

                                                @endif
                                            </ol>


                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Complaints</td>
                                        <td>


                                            <ol>
                                                @if ($data['statistics']['complaints'] != null)
                                                    @foreach ($data['statistics']['complaints'] as $sent)
                                                        <li>{{ $sent['eventTime'] }}</li>
                                                    @endforeach

                                                @endif
                                            </ol>


                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Unsubscriptions</td>
                                        <td>
                                            <ol>
                                                @if ($data['statistics']['unsubscriptions'] != null)
                                                    @foreach ($data['statistics']['unsubscriptions'] as $sent)
                                                        <li>{{ $sent['eventTime'] }}</li>
                                                    @endforeach

                                                @endif
                                            </ol>

                                        </td>




                                    </tr>

                                    <tr>
                                        <td>Opened</td>
                                        <td>
                                            <ol>
                                                @if ($data['statistics']['opened'] != null)
                                                    @foreach ($data['statistics']['opened'] as $sent)
                                                        <li>{{ $sent['eventTime'] }}</li>
                                                    @endforeach

                                                @endif
                                            </ol>

                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Clicked</td>
                                        <td>

                                            <ol>
                                                @if ($data['statistics']['clicked'] != null)
                                                    @foreach ($data['statistics']['clicked'] as $sent)
                                                        <li>{{ $sent['eventTime'] }}</li>
                                                    @endforeach

                                                @endif
                                            </ol>


                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Transac Attributes</td>
                                        <td>

                                            <ol>
                                                @if ($data['statistics']['transacAttributes'] != null)
                                                    @foreach ($data['statistics']['transacAttributes'] as $sent)
                                                        <li>{{ $sent['eventTime'] }}</li>
                                                    @endforeach

                                                @endif
                                            </ol>


                                        </td>
                                    </tr>

                                    <tr>
                                        <td>Delivered</td>
                                        <td>
                                            <ol>
                                                @if ($data['statistics']['delivered'] != null)
                                                    @foreach ($data['statistics']['delivered'] as $sent)
                                                        <li>{{ $sent['eventTime'] }}</li>
                                                    @endforeach

                                                @endif
                                            </ol>

                                        </td>
                                    </tr>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="col-6">

                    <div class="row">
                        <div class="col-12 text-right mb-3">
                            <div class="card">
                                <div class="card-body">
                                    <form>
                                        <div class="row">
                                            <label class="col-sm-2 px-0 col-form-label">Filter By: </label>

                                            <div class="col-sm-3">
                                                <input class="form-control date-picker" value="{{ $page->start_date }}"
                                                    placeholder="From Date" id="start_date" autocomplete="off"
                                                    name="start_date" type="text" value="">
                                            </div>
                                            <div class="col-sm-3">
                                                <input class="form-control date-picker" value="{{ $page->end_date }}"
                                                    placeholder="To Date" id="end_date" autocomplete="off" name="end_date"
                                                    type="text" value="">
                                            </div>
                                            <div class="col-sm-2">
                                                <select class="form-control" id="sort" name="sort">
                                                    <option selected="selected" value="">Sort By</option>
                                                    <option value="desc">Latest</option>
                                                    <option value="asc">Oldest</option>
                                                </select>
                                            </div>
                                            <input id="filter" name="filter" type="hidden" value="">
                                            <button class="btn btn-danger" id="filter-button" type="button"><i
                                                    class="fas fa-search"></i>
                                            </button>
                                            <ul class="navbar-nav ml-2">
                                                <li class="nav-item dropdown">
                                                    <a class="btn btn-dark" data-toggle="dropdown" href="#"
                                                        aria-expanded="true">
                                                        <i class="fas fa-cog"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right"
                                                        style="left:inherit;right:0">
                                                        <span class="dropdown-item dropdown-header">Quick Filter</span>
                                                        <div class="dropdown-divider"></div>
                                                        <a href="javascript:void(0)" onclick="changeDates('all')"
                                                            class="dropdown-item">All</a>
                                                        <div class="dropdown-divider"></div>
                                                        <a href="javascript:void(0)" onclick="changeDates('today')"
                                                            class="dropdown-item">Today</a>
                                                        <div class="dropdown-divider"></div>
                                                        <a href="javascript:void(0)" onclick="changeDates('week')"
                                                            class="dropdown-item">This Week (From start this week)</a>
                                                        <div class="dropdown-divider"></div>
                                                        <a href="javascript:void(0)" onclick="changeDates('month')"
                                                            class="dropdown-item">This Month (From start this month)</a>
                                                        <div class="dropdown-divider"></div>
                                                        <a href="javascript:void(0)" onclick="changeDates('year')"
                                                            class="dropdown-item">This Year (From start this year)</a>
                                                        <div class="dropdown-divider"></div>
                                                        <a href="javascript:void(0)" onclick="changeDates('lweek')"
                                                            class="dropdown-item">Week (Last 7 Days)</a>
                                                        <div class="dropdown-divider"></div>
                                                        <a href="javascript:void(0)" onclick="changeDates('lmonth')"
                                                            class="dropdown-item">Month (Last 30 Days)</a>
                                                        <div class="dropdown-divider"></div>
                                                        <a href="javascript:void(0)" onclick="changeDates('lyear')"
                                                            class="dropdown-item">Year (Last 365 Days)</a>
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card card-danger card-outline">
                                <div class="card-header">
                                    <h3 class="card-title">Emails</h3>
                                </div>
                                <div class="card-body p-0 data-table-container">
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="table-responsive p-3">
                                                <table class="table table-hover table-striped table-bordered "
                                                    id="filter-emails" data-length="25">
                                                    <thead>
                                                        <tr>
                                                            <th>No</th>
                                                            <th>Subject</th>
                                                            <th>Status</th>
                                                            <th>Created At</th>
                                                            {{-- <th>Action</th> --}}
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>



                </div>
            </div>
        </section>
    </div>
@endsection
@push('page-js')
    <script>
        var $table = $('#filter-emails').dataTable({
            "ordering": false,
            "processing": true,
            "serverSide": true,
            "ajax": {
                'type': 'GET',
                'url': "{{ $page->link . '/email-list/' . $data['id'] }}",


                "data": function(d) {
                    d.startDate = $("#start_date").val(),
                        d.endDate = $("#end_date").val(),
                        d.sort = $("sort").val()

                }
            }
        });



        $("#filter-button").on('click', function() {


            var startDate = $('#start_date').datepicker('getDate');
            var endDate = $('#end_date').datepicker('getDate');


            var diff = 0;
            if (startDate && endDate) {
                diff = Math.floor((endDate.getTime() - startDate.getTime()) / 86400000); // ms per day
            }


            // var nodays = $('#calculated').val(diff);
            var today = new Date();

            endDateTodayDifference = Math.floor(((today.getTime() - endDate.getTime()) / 86400000))

            if (endDateTodayDifference >= 0) {

                if (diff <= 90) {
                    $('#filter-emails').DataTable().ajax.reload();

                } else {

                    alert(
                        "Maximum difference between startDate and endDate or number of days can not be greater than 90 days");

                }

            } else {
                alert("End date should not be greater than current date");
                //$('#filter-emails').DataTable().ajax.reload();

            }
            //End date should not be greater than current date

            //

        });
    </script>
@endpush
