@extends('layouts.app')
@section('title',Str::title($page->title))
@section('content')
    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">{{ Str::title($page->title) }} - Invoice
                            No: {{ $order->invoice_no }}</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="{{ url('/') }}">Home</a></li>
                            <li class="breadcrumb-item"><a href="{{ $page->link }}">{!! Str::title($page->title) !!}</a>
                            </li>
                            <li class="breadcrumb-item active">{!! Str::title($page->title) !!} - Invoice
                                No: {{ $order->invoice_no }}</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card card-danger card-outline">
                            <div class="card-header">
                                <h3 class="card-title">Order View</h3>
                                <a href="{{ url()->previous() }}" class="btn btn-dark float-right btn-sm">Go Back</a>
                            </div>
                            <div class="card-body p-0 data-table-container">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="invoice p-3 mb-3">
                                            <div class="row invoice-info">
                                                <div class="col-sm-4 invoice-col">
                                                    Billing Address
                                                    <address>
                                                        <strong>{{ $order->billing_first_name }} {{ $order->billing_last_name }}</strong><br>
                                                        {{ $order->billing_address1 }}<br>
                                                        {!! $order->billing_address2!=''?$order->billing_address2.'<br>':'' !!}
                                                        {!! $order->billing_address3!=''?$order->billing_address3.'<br>':'' !!}
                                                        {{ $order->billing_city }}, {{ $order->billing_postcode }}<br>
                                                        {{ $order->billingCountry->name }}<br>
                                                        Phone: {{ $order->billing_phone }}<br>
                                                        {{ $order->billing_email!=''?'Email:'.$order->billing_email:'' }}
                                                    </address>
                                                </div>
                                                <div class="col-sm-4 invoice-col">
                                                    Shipping Address
                                                    <address>
                                                        <strong>{{ $order->shipping_first_name }} {{ $order->shipping_last_name }}</strong><br>
                                                        {{ $order->shipping_address1 }}<br>
                                                        {!! $order->shipping_address2!=''?$order->shipping_address2.'<br>':'' !!}
                                                        {!! $order->shipping_address3!=''?$order->shipping_address3.'<br>':'' !!}
                                                        {{ $order->shipping_city }}, {{ $order->shipping_postcode }}<br>
                                                        {{ $order->billingCountry->name }}<br>
                                                        Phone: {{ $order->shipping_phone }}<br>
                                                        {{ $order->shipping_email!=''?'Email:'.$order->shipping_email:'' }}
                                                    </address>
                                                </div>
                                                <div class="col-sm-4 invoice-col">
                                                    <b>Invoice No: {{ $order->invoice_no }}</b><br>
                                                    <br>
                                                    <b>Order No:</b> {{ $order->order_no }}<br>
                                                    <b>Paid
                                                        Date:</b> {{ Carbon\Carbon::parse($order->created_at)->format('d M,Y h:i a') }}
                                                    <br>
                                                    <b>Order Status:</b> {{ $page->order_status[$order->order_status] }}
                                                    <br>
                                                    <b>Payment
                                                        Status:</b> {{ $order->payment_status==0?'Paid':'Unpaid' }}
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-12 table-responsive">
                                                    <table class="table table-striped">
                                                        <thead>
                                                        <tr>
                                                            <th>Si. no</th>
                                                            <th>Product</th>
                                                            <th class="text-center">Qty</th>
                                                            <th class="text-center">Subtotal</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        @foreach($order->details as $detail)
                                                            <tr>
                                                                <td>{{ $loop->iteration }}</td>
                                                                <td>{{ $detail->title }}</td>
                                                                <td class="text-right">{{ $detail->quantity }}</td>
                                                                <td class="text-right">
                                                                    &pound;{{ number_format($detail->amount,2) }}</td>
                                                            </tr>

                                                        @endforeach
                                                        </tbody>
                                                        <tfoot class="bg-gradient-secondary">
                                                        <tr>
                                                            <th colspan="3" class="text-right">Subtotal:</th>
                                                            <th class="text-right">
                                                                &pound;{{ number_format($order->total_amount,2) }}</th>
                                                        </tr>
                                                        <tr>
                                                            <th colspan="3" class="text-right">Discount
                                                                @if($order->coupon!='')
                                                                    [ Coupon Used : {{ $order->coupon }}]
                                                                @endif
                                                                :
                                                            </th>
                                                            <th class="text-right">
                                                                &pound;{{ number_format($order->discount_amount,2) }}</th>
                                                        </tr>
                                                        <tr>
                                                            <th colspan="3" class="text-right">Shipping:</th>
                                                            <th class="text-right">
                                                                &pound;{{ number_format($order->shipping_amount,2) }}</th>
                                                        </tr>
                                                        <tr>
                                                            <th colspan="3" class="text-right">Total:</th>
                                                            <th class="text-right">
                                                                &pound;{{ number_format($order->paid_amount,2) }}</th>
                                                        </tr>
                                                        </tfoot>
                                                    </table>
                                                </div>
                                            </div>
                                            {{--                                            <div class="row no-print">--}}
                                            {{--                                                <div class="col-12">--}}
                                            {{--                                                    <a href="invoice-print.html" target="_blank"--}}
                                            {{--                                                       class="btn btn-default"><i class="fas fa-print"></i> Print</a>--}}
                                            {{--                                                </div>--}}
                                            {{--                                            </div>--}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection
