@extends('layouts.app')
@section('title',Str::title($page->title))
@section('content')


    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">{{ Str::title($page->title) }}</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="{{ url('/') }}">Home</a></li>
                            <li class="breadcrumb-item active">{{ Str::title($page->title) }}</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12 text-right mb-3">
                        <div class="card">
                            <div class="card-body">
                                {!! Form::open(['url' => $page->link, 'method' => 'POST','class'=>'form-horizontal','id'=>'filter-form']) !!}
                                <div class="row">
                                    <label class="col-sm-1 px-0 col-form-label">Filter By: </label>
                                    <div class="col-sm-2">
                                        {!! Form::text('keyword', $request->keyword ?? '', ['class' => 'form-control','placeholder'=>'Keyword']) !!}
                                    </div>
                                    <div class="col-sm-2">
                                        {!! Form::select('status',$page->order_status, $request->status ?? '', ['class' => 'form-control','placeholder'=>'Status']) !!}
                                    </div>
                                    <div class="col-sm-2">
                                        {!! Form::text('start_date', $request->start_date ?? '', ['class' => 'form-control date-picker','placeholder'=>'From Date','id'=>'start_date','autocomplete'=>'off']) !!}
                                    </div>
                                    <div class="col-sm-2">
                                        {!! Form::text('end_date', $request->end_date ?? '', ['class' => 'form-control date-picker','placeholder'=>'To Date','id'=>'end_date','autocomplete'=>'off']) !!}
                                    </div>
                                    <div class="col-sm-2">
                                        {!! Form::select('sort',$page->sorts, $request->sort ?? '', ['class' => 'form-control','placeholder'=>'Sort By']) !!}
                                    </div>
                                    {!! Form::hidden('filter', '', ['id'=>'filter']) !!}
                                    <button class="btn btn-danger" id="filter-button"><i class="fas fa-search"></i>
                                    </button>
                                    <ul class="navbar-nav ml-2">
                                        <li class="nav-item dropdown">
                                            <a class="btn btn-dark" data-toggle="dropdown" href="#"
                                               aria-expanded="true">
                                                <i class="fas fa-cog"></i>
                                            </a>
                                            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right"
                                                 style="left:inherit;right:0">
                                                <span class="dropdown-item dropdown-header">Quick Filter</span>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0)" onclick="changeDates('all')"
                                                   class="dropdown-item">All</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0)" onclick="changeDates('today')"
                                                   class="dropdown-item">Today</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0)" onclick="changeDates('week')"
                                                   class="dropdown-item">This Week (From start this week)</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0)" onclick="changeDates('month')"
                                                   class="dropdown-item">This Month (From start this month)</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0)" onclick="changeDates('year')"
                                                   class="dropdown-item">This Year (From start this year)</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0)" onclick="changeDates('lweek')"
                                                   class="dropdown-item">Week (Last 7 Days)</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0)" onclick="changeDates('lmonth')"
                                                   class="dropdown-item">Month (Last 30 Days)</a>
                                                <div class="dropdown-divider"></div>
                                                <a href="javascript:void(0)" onclick="changeDates('lyear')"
                                                   class="dropdown-item">Year (Last 365 Days)</a>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                                {!! Form::close() !!}
                            </div>
                        </div>
                    </div>
                </div>
            
               
                <div class="row">
                    <div class="col-12">
                        <div class="card card-danger card-outline">
                            <div class="card-header">
                                <h3 class="card-title">Staff Lists</h3>

                                <a  href="#" data-toggle="modal" data-target="#createStaffModal" class="btn btn btn-success float-right">Create</a>

                            </div>
                            <div class="card-body p-0 data-table-container">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="table-responsive p-3">
                                            <table class="table table-hover table-striped table-bordered data-tables"
                                                   data-url="{{ $page->link.'/lists' }}" data-form="filter"
                                                   data-length="25">
                                                <thead>
                                                <tr>
                                                    <th data-orderable="false">Name</th>
                                                    <th data-orderable="false">Email</th>
                                                    <th data-orderable="false">Phone</th>
                                                    <th data-orderable="false">Created on</th>
                                                    <th data-orderable="false">Status</th>
                                                    <th data-orderable="false"></th>
                                                </tr>
                                                </thead>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>



        <div class="modal fade" id="createStaffModal" tabindex="-1" role="dialog" aria-labelledby="createStaffModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">

                <div class="alert alert-success" role="alert" id="successMsg" style="display: none" >
                   Staff Created Successfully
                  </div>
                <div class="modal-header">
                  <h5 class="modal-title" id="createStaffModalLabel">New Staff</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <form>
                    <div class="form-group">
                      <label for="recipient-name" class="col-form-label">First name:</label>
                      <input type="text" class="form-control" id="first_name">
                      <span class="text-danger" id="firstNameErrorMsg"></span>
                    </div>

                    <div class="form-group">
                        <label for="recipient-name" class="col-form-label">Last name:</label>
                        <input type="text" class="form-control" id="last_name">
                        <span class="text-danger" id="lastNameErrorMsg"></span>
                      </div>
                    <div class="form-group">
                        <label for="recipient-name" class="col-form-label">Email:</label>
                        <input type="text" class="form-control" id="email">
                        <span class="text-danger" id="emailErrorMsg"></span>
                      </div>
                      <div class="form-group">
                        <label for="recipient-name" class="col-form-label">Phone:</label>
                        <input type="text" class="form-control" id="phone">
                        <span class="text-danger" id="mobileErrorMsg"></span> 
                      </div>

                    
                  </form>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary save">Save</button>
                </div>
              </div>
            </div>
          </div>

          <div class="modal fade" id="editStaffModal" tabindex="-1" role="dialog" aria-labelledby="editStaffModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">

                <div class="alert alert-success" role="alert" id="editSuccessMsg" style="display: none" >
                   Staff Updated Successfully
                  </div>
                <div class="modal-header">
                  <h5 class="modal-title" id="editStaffModalLabel">Update Staff</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <form>
                    <div class="form-group">
                        <input type="hidden"  id="id">
                      <label for="recipient-name" class="col-form-label">First name:</label>
                      <input type="text" class="form-control" id="edit_first_name">
                      <span class="text-danger" id="editFirstNameErrorMsg"></span>
                    </div>

                    <div class="form-group">
                        <label for="recipient-name" class="col-form-label">Last name:</label>
                        <input type="text" class="form-control" id="edit_last_name">
                        <span class="text-danger" id="editLastNameErrorMsg"></span>
                      </div>
                    <div class="form-group">
                        <label for="recipient-name" class="col-form-label">Email:</label>
                        <input type="text" class="form-control" id="edit_email">
                        <span class="text-danger" id="editEmailErrorMsg"></span>
                      </div>
                      <div class="form-group">
                        <label for="recipient-name" class="col-form-label">Phone:</label>
                        <input type="text" class="form-control" id="edit_phone">
                        <span class="text-danger" id="editMobileErrorMsg"></span> 
                      </div>

                    
                  </form>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary update">Save</button>
                </div>
              </div>
            </div>
          </div>

    </div>
@endsection
@push('page-js')
    <script src="{{ asset('plugins/chart.js/Chart.min.js') }}"></script>
    <script type="text/javascript">

        $('.save').on('click',function(e){
            e.preventDefault();
    
            $('#firstNameErrorMsg').text("");
            $('#lastNameErrorMsg').text("");
            $('#emailErrorMsg').text("");
            $('#mobileErrorMsg').text("");
            $('#successMsg').hide();
        
            let first_name = $('#first_name').val();
            let last_name = $('#last_name').val();
            let email = $('#email').val();
            let mobile = $('#phone').val();
            
            $.ajax({
              url: "{{url('staffs/store')}}",
              type:"POST",
              data:{
                "_token": "{{ csrf_token() }}",
                first_name:first_name,
                last_name:last_name,
                email:email,
                mobile:mobile,
              },
              success:function(response){
    
                $('#successMsg').show();
    
                $('#first_name').val("");
                $('#last_name').val("");
                $('#email').val("");
                $('#phone').val("");
                $('#DataTables_Table_0').DataTable().ajax.reload();

              },
              error: function(response) {
                $('#firstNameErrorMsg').text(response.responseJSON.errors.first_name);
                $('#lastNameErrorMsg').text(response.responseJSON.errors.last_name);
                $('#emailErrorMsg').text(response.responseJSON.errors.email);
                $('#mobileErrorMsg').text(response.responseJSON.errors.mobile);
              },
              });
            });
    


          function  manageModal( id,key){

            index=$(".btn-edit#"+id).parent().parent().index();
            var data = $('#DataTables_Table_0').DataTable().row(index).data();
 

            $("#editStaffModal").modal("show");
 
            var name = data[0].split(/(\s+)/);
 
            $('#edit_first_name').val(name[0]);
            $('#edit_last_name').val(name[2]);
            $('#edit_email').val(data[1]);
            $('#edit_phone').val(data[2]);
            $('#id').val(id);
            
            }




            $('.update').on('click',function(e){
            e.preventDefault();
    
            $('#editFirstNameErrorMsg').text("");
            $('#editLastNameErrorMsg').text("");
            $('#editEmailErrorMsg').text("");
            $('#editMobileErrorMsg').text("");
            $('#editSuccessMsg').hide();
        
            let first_name = $('#edit_first_name').val();
            let last_name =  $('#edit_last_name').val();
            let email =      $('#edit_email').val();
            let mobile =     $('#edit_phone').val();
            
            $.ajax({
              url: "{{url('staffs/update')}}/"+ $('#id').val(),
              type:"POST",
              data:{
                "_token": "{{ csrf_token() }}",
                first_name:first_name,
                last_name:last_name,
                email:email,
                mobile:mobile,
              },
              success:function(response){
    
                $('#editSuccessMsg').show();
    
          
                $('#DataTables_Table_0').DataTable().ajax.reload();

    
              },
              error: function(response) {
                



                $('#editFirstNameErrorMsg').text(response.responseJSON.errors.first_name);
                $('#editLastNameErrorMsg').text(response.responseJSON.errors.last_name);
                $('#editEmailErrorMsg').text(response.responseJSON.errors.email);
                $('#editMobileErrorMsg').text(response.responseJSON.errors.mobile);
              },
              });
            });
    
    </script>
 
@endpush
