<?php

use App\Http\Controllers\AbandonSaleController as SaleAbandon;
use App\Http\Controllers\ReturnSaleController as SaleReturn;
use App\Http\Controllers\HcpSaleController as SaleHcp;
use App\Http\Controllers\OtcSaleController as SaleOtc;
use App\Http\Controllers\DoctorController as Doctor;
use App\Http\Controllers\StaffController as Staff;
use App\Http\Controllers\OrderController as Order;
use App\Http\Controllers\SendinBlueController as sendinBlue;




use App\Http\Controllers\CategoryController as Category;
use App\Http\Controllers\CouponController as Coupon;
use App\Http\Controllers\CustomerController as Customer;
use App\Http\Controllers\HomeController as Home;
use App\Http\Controllers\LoginController as Login;
use App\Http\Controllers\ProductController as Product;
use App\Http\Controllers\SalesController as Sale;
use App\Http\Controllers\StockController as Stock;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('login/{key}', [Login::class, 'index']);

Route::middleware(['auth'])->group(function () {
    Route::get('/', [Home::class, 'index']);
    Route::get('/dashboard2', [Home::class, 'dashboard2']);
    // Graph Routes
    Route::get('graph/locations', [Home::class, 'graphLocations']);
    Route::get('postcode', [Home::class, 'updateLocation']);

    // Sales Routes
    Route::prefix('sales')->group(function () {
        // Abandon Sales Routes
        Route::prefix('/abandon')->group(function () {
            Route::match(['get', 'post'], '/', [SaleAbandon::class, 'index']);
            Route::get('/lists', [SaleAbandon::class, 'lists']);
            Route::post('/data', [SaleAbandon::class, 'salesData']);
            Route::post('/data/dashboard', [SaleAbandon::class, 'salesDataDashboard']);
            Route::post('/graph/sales', [SaleAbandon::class, 'salesGraph']);
            Route::post('/graph/revenues', [SaleAbandon::class, 'RevenueGraph']);
        });


              // Return Sales Routes
        Route::prefix('/returns')->group(function () {
                Route::match(['get', 'post'], '/', [SaleReturn::class, 'index']);
                Route::get('/lists', [SaleReturn::class, 'lists']);
                Route::post('/data', [SaleReturn::class, 'salesData']);
                Route::post('/data/dashboard', [SaleReturn::class, 'salesDataDashboard']);
                Route::post('/graph/sales', [SaleReturn::class, 'salesGraph']);
                Route::post('/graph/revenues', [SaleReturn::class, 'RevenueGraph']);
        });

          // Hcp Sales Routes
          Route::prefix('/hcp')->group(function () {
            Route::match(['get', 'post'], '/', [SaleHcp::class, 'index']);
            Route::get('/lists', [SaleHcp::class, 'lists']);
            Route::post('/data', [SaleHcp::class, 'salesData']);
            // Route::post('/data/dashboard', [SaleHcp::class, 'salesDataDashboard']);
            Route::post('/graph/sales', [SaleHcp::class, 'salesGraph']);
            Route::post('/graph/revenues', [SaleHcp::class, 'RevenueGraph']);
        });

             //Otc Sales Routes
        Route::prefix('/otc')->group(function () {
                Route::match(['get', 'post'], '/', [SaleOtc::class, 'index']);
                Route::get('/lists', [SaleOtc::class, 'lists']);
                Route::post('/data', [SaleOtc::class, 'salesData']);
                Route::post('/graph/sales', [SaleOtc::class, 'salesGraph']);
                Route::post('/graph/revenues', [SaleOtc::class, 'RevenueGraph']);
        });

 

        Route::match(['get', 'post'], '/', [Sale::class, 'index']);
        Route::get('/lists', [Sale::class, 'lists']);
        Route::get('/{id}', [Sale::class, 'show']);
        Route::post('/data', [Sale::class, 'salesData']);
        Route::post('/data/dashboard', [Sale::class, 'salesDataDashboard']);
        Route::post('/graph/sales', [Sale::class, 'salesGraph']);
        Route::post('/graph/revenues', [Sale::class, 'RevenueGraph']);
    });



             //Otc Sales Routes
             Route::prefix('/delivery')->group(function () {
                Route::match(['get', 'post'], '/', [Order::class, 'index']);
                Route::match(['get', 'post'], '/postage', [Order::class, 'index']);
                Route::get('/postage/lists/', [Order::class, 'DeliveryLists']);
                Route::post('/data', [Order::class, 'salesData']);
             });

             


               //Prescribe Now Sales Routes
    Route::prefix('/emails')->group(function () {
        Route::get('/', [sendinBlue::class, 'index']);
        Route::get('/lists', [sendinBlue::class, 'list']);
        Route::get('/view/{id}', [sendinBlue::class, 'view']);
        Route::get('Campaign/lists/{id}', [sendinBlue::class, 'CampaignSubscribers']);
        Route::get('Campaign/view/{id}', [sendinBlue::class, 'viewCampaign']);
        Route::get('contacts', [sendinBlue::class, 'showContactListPage']);
        Route::get('contacts/lists', [sendinBlue::class, 'getContactList']);

        Route::get('contact-view/{id}', [sendinBlue::class, 'contactView']);
        Route::get('contact-view/email-list/{id}', [sendinBlue::class, 'userEmailList']);
        Route::get('contact-view/email-view/{id}', [sendinBlue::class, 'userEmailView']);

    });

    //Prescribe Now Sales Routes
    Route::prefix('/doctors')->group(function () {
        Route::match(['get', 'post'], '/', [Doctor::class, 'index']);
        Route::get('/lists', [Doctor::class, 'lists']);
        Route::post('/data', [Doctor::class, 'prescribeSalesData']);
        Route::post('/graph/sales', [Doctor::class, 'salesGraph']);
        Route::post('/graph/revenues', [Doctor::class, 'RevenueGraph']);
        // Route::get('/customers/{id}', [Doctor::class, 'customersIndex']);
        Route::match(['get', 'post'], '/customers/{id}', [Doctor::class, 'customersIndex']);
        
        
        Route::get('/customers/{id}/lists', [Doctor::class, 'customersLists']);

        // Route::get('/products/{id}', [Doctor::class, 'productIndex']);
        Route::match(['get', 'post'], '/products/{id}', [Doctor::class, 'productIndex']);

        Route::get('products/{id}/lists', [Doctor::class, 'productLists']);

    });

    //Prescribe Now Sales Routes
    Route::prefix('/staffs')->group(function () {
        Route::match(['get', 'post'], '/', [Staff::class, 'index']);
        Route::get('/lists', [Staff::class, 'lists']);
        Route::post('/store', [Staff::class, 'store']);
        Route::post('/update/{id}', [Staff::class, 'update']);

    });


    //Prescribe Now Sales Routes
    Route::prefix('/prescribe-now')->group(function () {
        Route::match(['get', 'post'], '/', [SaleHcp::class, 'prescribeNow']);
        Route::get('/lists', [SaleHcp::class, 'lists']);
        Route::post('/data', [SaleHcp::class, 'prescribeSalesData']);
        Route::post('/graph/sales', [SaleHcp::class, 'salesGraph']);
        Route::post('/graph/revenues', [SaleHcp::class, 'RevenueGraph']);
    });



    // Products Routes
    Route::prefix('products')->group(function () {
        Route::get('/typehead/suggesion', [Product::class, 'typeHeadSuggession']);
        Route::match(['get', 'post'], '/all-lists', [Product::class, 'viewAll']);
        Route::get('/all_lists', [Product::class, 'allLists']);
          
        Route::match(['get', 'post'], '/', [Product::class, 'index']);
        Route::get('/lists', [Product::class, 'lists']);
        Route::get('/location_lists', [Product::class, 'location_lists']);
        Route::any('/locations', [Product::class, 'locations']);

        Route::get('/data/dashboard', [Product::class, 'salesDataDashboard']);
        Route::post('/graph', [Product::class, 'salesGraph']);
         Route::post('/location-graph', [Product::class, 'locationSalesGraph']);
        Route::match(['get', 'post'], '/{id}/{slug}', [Product::class, 'productIndex']);
        Route::get('/{id}/{slug}/lists', [Product::class, 'productLists']);
    });

    // Categories Routes
    Route::prefix('categories')->group(function () {
        Route::match(['get', 'post'], '/', [Category::class, 'index']);
        Route::get('/lists', [Category::class, 'lists']);
        Route::get('/data/dashboard', [Category::class, 'salesDataDashboard']);
        Route::post('/graph', [Category::class, 'salesGraph']);
        Route::match(['get', 'post'], '/{id}/products', [Category::class, 'productIndex']);
        Route::get('/{id}/products/lists', [Category::class, 'productLists']);
        Route::get('/{id}/sales/lists', [Category::class, 'salesLists']);

        Route::match(['get', 'post'], '/{id}/sales', [Category::class, 'salesIndex']);
        Route::match(['get', 'post'], '/{id}/sales/export', [Category::class, 'salesExport']);
        
    });

    // Categories Routes
    Route::prefix('customers')->group(function () {
        Route::match(['get', 'post'], '/', [Customer::class, 'index']);
        Route::get('/lists', [Customer::class, 'lists']);
        Route::post('/data/dashboard', [Customer::class, 'salesDataDashboard']);
        Route::post('/graph', [Customer::class, 'salesGraph']);
        Route::match(['get', 'post'], 'sales/{id}', [Customer::class, 'customerIndex']);
        Route::get('sales/{id}/lists', [Customer::class, 'customerLists']);
        Route::match(['get', 'post'], 'products/{id}', [Customer::class, 'productIndex']);
        Route::get('products/{id}/lists', [Customer::class, 'productLists']);
    });

    // Stock Routes
    Route::prefix('stocks')->group(function () {
        Route::match(['get', 'post'], '/', [Stock::class, 'index']);
        Route::get('/lists', [Stock::class, 'lists']);
    });

    // Coupons Routes
    Route::prefix('coupons')->group(function () {
        Route::match(['get', 'post'], '/', [Coupon::class, 'index']);
        Route::get('/lists', [Coupon::class, 'lists']);
        Route::get('/data/dashboard', [Coupon::class, 'salesDataDashboard']);
        Route::match(['get', 'post'], '/{slug}', [Coupon::class, 'couponIndex']);
        Route::get('/{slug}/lists', [Coupon::class, 'couponLists']);
    });
});
