<?php $__env->startSection('title',Str::title($title)); ?>
<?php $__env->startSection('content'); ?>
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark"><?php echo e(Str::title($title)); ?></h1>
                    </div><!-- /.col -->
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="<?php echo e(url('/')); ?>">Home</a></li>
                            <li class="breadcrumb-item active"><?php echo e(Str::title($title)); ?></li>
                        </ol>
                    </div><!-- /.col -->
                </div><!-- /.row -->
            </div><!-- /.container-fluid -->
        </div>
        <!-- /.content-header -->

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <!-- Info boxes -->
                <div class="row">
                    <div class="col-12 text-right mb-3">
                        <a href="<?php echo e(url('/')); ?>"
                           class="btn btn-outline-success <?php echo e(Request::is('/') && !request()->get('filter') ? 'active' : ''); ?>">All</a>
                        <a href="<?php echo e(url('?filter=today')); ?>"
                           class="btn btn-outline-success <?php echo e(Request::is('/') && request()->get('filter')=='today' ? 'active' : ''); ?>">Today</a>
                        <a href="<?php echo e(url('?filter=lweek')); ?>"
                           class="btn btn-outline-success <?php echo e(Request::is('/') && request()->get('filter')=='lweek' ? 'active' : ''); ?>">WeeK
                            (Last 7
                            Days)</a>
                        <a href="<?php echo e(url('?filter=lmonth')); ?>"
                           class="btn btn-outline-success <?php echo e(Request::is('/') && request()->get('filter')=='lmonth' ? 'active' : ''); ?>">Month
                            (Last
                            30 Days)</a>
                        <a href="<?php echo e(url('?filter=lyear')); ?>"
                           class="btn btn-outline-success <?php echo e(Request::is('/') && request()->get('filter')=='lyear' ? 'active' : ''); ?>">Year
                            (Last
                            365 Days)</a>
                        <?php echo Form::open(['id'=>'filter-form']); ?>

                        <?php echo Form::hidden('filter', $request->filter ?? 'all', ['id'=>'filter']); ?>

                        <?php echo Form::close(); ?>

                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-4 col-md-3">
                        <a href="<?php echo e(url('sales')); ?>" class="text-dark">
                            <div class="info-box" style="min-height:86px">
                                <span class="info-box-icon bg-primary elevation-1"><i class="fas fa-cubes"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Total Sales</span>
                                    <span class="info-box-number loadbar" id="order-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->

                        <a href="javascript:void(0)" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                            <span class="info-box-icon bg-danger elevation-1"><i
                                    class="fas fa-shopping-basket"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Same Day Delivery</span>
                                    <span class="info-box-number loadbar" id="sameday-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->

                        <a href="javascript:void(0)" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                            <span class="info-box-icon bg-success elevation-1"><i
                                    class="fas fa-cube"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Next Day Delivery</span>
                                    <span class="info-box-number loadbar" id="nextday-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->

                        <a href="<?php echo e(url('sales')); ?>" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                                <span class="info-box-icon bg-warning elevation-1"><i
                                        class="fas fa-chart-line"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Total Revenue</span>
                                    <span
                                        class="info-box-number loadbar" id="revenue-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->
                    </div>
                    <!-- /.col -->

                    <div class="col-md-6">
                        <div class="card card-primary card-outline">
                            <div class="card-header">
                                <h3 class="card-title">
                                    <i class="far fa-chart-bar"></i>
                                    Sales Analysis
                                </h3>
                            </div>
                            <div class="card-body">
                                <div class="chart text-center loader" id="saleChart">
                                </div>
                            </div>
                            <div class="card-footer clearfix">
                                <a href="<?php echo e(url('sales')); ?>" class="btn btn-sm btn-outline-primary float-right">View All</a>
                            </div>
                            <!-- /.card-body-->
                        </div>
                    </div>
                    <div class="col-sm-4 col-md-3">
                        <a href="<?php echo e(url('sales/abandon')); ?>" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                            <span class="info-box-icon bg-cyan elevation-1"><i
                                    class="fas fa-hand-holding-usd"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Abandoned Sales</span>
                                    <span class="info-box-number loadbar" id="abandon-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <a href="<?php echo e(url('sales')); ?>" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                            <span class="info-box-icon bg-secondary elevation-1"><i
                                    class="fas fa-hand-holding-usd"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Refunds</span>
                                    <span class="info-box-number loadbar" id="refund-counter"></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->

                        <a href="<?php echo e(url('stocks')); ?>" class="text-dark">
                            <div class="info-box mb-3" style="min-height:86px">
                            <span class="info-box-icon bg-dark elevation-1"><i
                                    class="fas fa-cube"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">Out Of Stock Products</span>
                                    <span class="info-box-number"><?php echo e($counts->out_stocks); ?></span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </a>
                        <!-- /.info-box -->
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="card border-secondary card-secondary card-outline">
                            <div class="card-header border-transparent">
                                <h3 class="card-title">Highest orders above &pound;50</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body p-0">
                                <div class="table-responsive text-center loader" id="highest-list"></div>
                                <!-- /.table-responsive -->
                            </div>
                            <!-- /.card-body -->
                            <div class="card-footer clearfix">
                                <a href="<?php echo e(url('sales')); ?>"
                                   class="btn btn-sm btn-outline-secondary float-right">View All</a>
                            </div>
                            <!-- /.card-footer -->
                        </div>
                    </div>
                    <div class="col-md-6" style="display: none" id="product_div">
                        <div class="card card-danger card-outline">
                            <div class="card-header">
                                <h3 class="card-title">
                                    <i class="far fa-chart-bar"></i>Top Selling Products
                                </h3>
                            </div>
                            <div class="card-body">
                                <div id="productChart" style="height: 250px"></div>
                            </div>
                            <div class="card-footer clearfix">
                                <a href="<?php echo e(url('products')); ?>"
                                   class="btn btn-sm btn-outline-danger float-right">View All</a>
                            </div>
                            <!-- /.card-body-->
                        </div>
                    </div>

                    <div class="col-md-6" style="display: none" id="category_div">
                        <div class="card card-warning card-outline">
                            <div class="card-header">
                                <h3 class="card-title">
                                    <i class="far fa-chart-bar"></i>Top Selling Categories
                                </h3>
                            </div>
                            <div class="card-body">
                                <div id="categoryChart" style="height: 250px"></div>
                            </div>
                            <div class="card-footer clearfix">
                                <a href="<?php echo e(url('categories')); ?>"
                                   class="btn btn-sm btn-outline-warning float-right">View All</a>
                            </div>
                            <!-- /.card-body-->
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="card border-primary">
                            <div class="card-header border-transparent bg-primary">
                                <h3 class="card-title">Top Customers based on sales</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body p-0">
                                <div class="table-responsive loader" id="customer-order-list">
                                </div>
                                <!-- /.table-responsive -->
                            </div>
                            <!-- /.card-body -->
                            <div class="card-footer clearfix">
                                <a href="<?php echo e(url('customers')); ?>"
                                   class="btn btn-sm btn-outline-primary float-right">View All</a>
                            </div>
                            <!-- /.card-footer -->
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="card border-warning">
                            <div class="card-header border-transparent bg-warning">
                                <h3 class="card-title">Top Customers based on Revenue</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body p-0">
                                <div class="table-responsive loader" id="customer-price-list">
                                </div>
                                <!-- /.table-responsive -->
                            </div>
                            <!-- /.card-body -->
                            <div class="card-footer clearfix">
                                <a href="<?php echo e(url('customers')); ?>"
                                   class="btn btn-sm btn-outline-warning float-right">View All</a>
                            </div>
                            <!-- /.card-footer -->
                        </div>
                    </div>
                    <div class="col-md-6" style="display: none" id="coupon_div">
                        <div class="card card-success card-outline">
                            <div class="card-header">
                                <h3 class="card-title">
                                    <i class="far fa-chart-bar"></i>Top Coupons Used
                                </h3>
                            </div>
                            <div class="card-body">
                                <canvas id="couponChart"
                                        style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                            </div>
                            <div class="card-footer clearfix">
                                <a href="<?php echo e(url('coupons')); ?>"
                                   class="btn btn-sm btn-outline-success float-right">View All</a>
                            </div>
                            <!-- /.card-body-->
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="card border-success">
                            <div class="card-header border-transparent bg-danger">
                                <h3 class="card-title">Abandoned Orders</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body p-0">
                                <div class="table-responsive loader" id="abandon-list">

                                </div>
                                <!-- /.table-responsive -->
                            </div>
                            <!-- /.card-body -->
                            <div class="card-footer clearfix">
                                <a href="<?php echo e(url('sales/abandon')); ?>"
                                   class="btn btn-sm btn-outline-danger float-right">View All</a>
                            </div>
                            <!-- /.card-footer -->
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <!-- MAP & BOX PANE -->
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">UK Sales Report</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body p-0">
                                <div class="row">
                                    <div class="col-12">
                                        <div id="map" class="text-center"></div>
                                    </div>
                                </div>
                            </div>
                            <!-- /.card-body -->
                        </div>

                    </div>
                </div>
            </div>
        </section>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('page-styles'); ?>
    <style>
        #map {
            height: 600px;
            position: inherit;
        }

        .card-body text {
            font-weight: bold !important;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('page-js'); ?>
    <script>
        var filter = '<?php echo e($_GET['filter'] ?? ''); ?>';
    </script>
    <script src="<?php echo e(asset('plugins/chart.js/Chart.min.js')); ?>"></script>
    <script src="<?php echo e(asset('dist/js/chart.funnel.bundled.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.3/d3.min.js"></script>
    <script src="<?php echo e(asset('dist/js/d3-funnel.js')); ?>"></script>
    <script src="<?php echo e(asset('dist/js/demo.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/jquery-mousewheel/jquery.mousewheel.js')); ?>"></script>
    <script src="<?php echo e(asset('dist/js/pages/dashboard.js')); ?>"></script>
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=<?php echo e(config('services.google.key')); ?>&callback=initMap">
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/online/analytics/resources/views/dashboard.blade.php ENDPATH**/ ?>