<?php $__env->startSection('title',Str::title($page->title)); ?>
<?php $__env->startSection('content'); ?>
    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark"><?php echo e(Str::title($page->title)); ?> - Invoice
                            No: <?php echo e($order->invoice_no); ?></h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="<?php echo e(url('/')); ?>">Home</a></li>
                            <li class="breadcrumb-item"><a href="<?php echo e($page->link); ?>"><?php echo Str::title($page->title); ?></a>
                            </li>
                            <li class="breadcrumb-item active"><?php echo Str::title($page->title); ?> - Invoice
                                No: <?php echo e($order->invoice_no); ?></li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card card-danger card-outline">
                            <div class="card-header">
                                <h3 class="card-title">Order View</h3>
                                <a href="<?php echo e(url()->previous()); ?>" class="btn btn-dark float-right btn-sm">Go Back</a>
                            </div>
                            <div class="card-body p-0 data-table-container">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="invoice p-3 mb-3">
                                            <div class="row invoice-info">
                                                <div class="col-sm-4 invoice-col">
                                                    Billing Address
                                                    <address>
                                                        <strong><?php echo e($order->billing_first_name); ?> <?php echo e($order->billing_last_name); ?></strong><br>
                                                        <?php echo e($order->billing_address1); ?><br>
                                                        <?php echo $order->billing_address2!=''?$order->billing_address2.'<br>':''; ?>

                                                        <?php echo $order->billing_address3!=''?$order->billing_address3.'<br>':''; ?>

                                                        <?php echo e($order->billing_city); ?>, <?php echo e($order->billing_postcode); ?><br>
                                                        <?php echo e($order->billingCountry->name); ?><br>
                                                        Phone: <?php echo e($order->billing_phone); ?><br>
                                                        <?php echo e($order->billing_email!=''?'Email:'.$order->billing_email:''); ?>

                                                    </address>
                                                </div>
                                                <div class="col-sm-4 invoice-col">
                                                    Shipping Address
                                                    <address>
                                                        <strong><?php echo e($order->shipping_first_name); ?> <?php echo e($order->shipping_last_name); ?></strong><br>
                                                        <?php echo e($order->shipping_address1); ?><br>
                                                        <?php echo $order->shipping_address2!=''?$order->shipping_address2.'<br>':''; ?>

                                                        <?php echo $order->shipping_address3!=''?$order->shipping_address3.'<br>':''; ?>

                                                        <?php echo e($order->shipping_city); ?>, <?php echo e($order->shipping_postcode); ?><br>
                                                        <?php echo e($order->billingCountry->name); ?><br>
                                                        Phone: <?php echo e($order->shipping_phone); ?><br>
                                                        <?php echo e($order->shipping_email!=''?'Email:'.$order->shipping_email:''); ?>

                                                    </address>
                                                </div>
                                                <div class="col-sm-4 invoice-col">
                                                    <b>Invoice No: <?php echo e($order->invoice_no); ?></b><br>
                                                    <br>
                                                    <b>Order No:</b> <?php echo e($order->order_no); ?><br>
                                                    <b>Paid
                                                        Date:</b> <?php echo e(Carbon\Carbon::parse($order->created_at)->format('d M,Y h:i a')); ?>

                                                    <br>
                                                    <b>Order Status:</b> <?php echo e($page->order_status[$order->order_status]); ?>

                                                    <br>
                                                    <b>Payment
                                                        Status:</b> <?php echo e($order->payment_status==0?'Paid':'Unpaid'); ?>

                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-12 table-responsive">
                                                    <table class="table table-striped">
                                                        <thead>
                                                        <tr>
                                                            <th>Si. no</th>
                                                            <th>Product</th>
                                                            <th class="text-center">Qty</th>
                                                            <th class="text-center">Subtotal</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <?php $__currentLoopData = $order->details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <tr>
                                                                <td><?php echo e($loop->iteration); ?></td>
                                                                <td><?php echo e($detail->title); ?></td>
                                                                <td class="text-right"><?php echo e($detail->quantity); ?></td>
                                                                <td class="text-right">
                                                                    &pound;<?php echo e(number_format($detail->amount,2)); ?></td>
                                                            </tr>

                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </tbody>
                                                        <tfoot class="bg-gradient-secondary">
                                                        <tr>
                                                            <th colspan="3" class="text-right">Subtotal:</th>
                                                            <th class="text-right">
                                                                &pound;<?php echo e(number_format($order->total_amount,2)); ?></th>
                                                        </tr>
                                                        <tr>
                                                            <th colspan="3" class="text-right">Discount
                                                                <?php if($order->coupon!=''): ?>
                                                                    [ Coupon Used : <?php echo e($order->coupon); ?>]
                                                                <?php endif; ?>
                                                                :
                                                            </th>
                                                            <th class="text-right">
                                                                &pound;<?php echo e(number_format($order->discount_amount,2)); ?></th>
                                                        </tr>
                                                        <tr>
                                                            <th colspan="3" class="text-right">Shipping:</th>
                                                            <th class="text-right">
                                                                &pound;<?php echo e(number_format($order->shipping_amount,2)); ?></th>
                                                        </tr>
                                                        <tr>
                                                            <th colspan="3" class="text-right">Total:</th>
                                                            <th class="text-right">
                                                                &pound;<?php echo e(number_format($order->paid_amount,2)); ?></th>
                                                        </tr>
                                                        </tfoot>
                                                    </table>
                                                </div>
                                            </div>
                                            
                                            
                                            
                                            
                                            
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/webdesi/laravel/simplymedsanalytics/resources/views/sales/detail.blade.php ENDPATH**/ ?>